//////////////////////////////////////////////////////////////////////////
//                                                                      //
//                                                                      //
//   __ARTICLES_REGISTERCARD.PRG                             SQL        //
//                                                                      //
//   11-11-2023                                                         //
//                                                                      //
//   www.cobasystems.com --- COBA Systems --- Slobodan Stanojevi Coba  //
//   Open Source Project BAST Business Account Software Technology      //
//   www.Alaska-Software.com --- Alaska Xbase++ version 2.0.1503        //
//   www.Donnay-software.com --- eXpress++      version 2.0.268         //
//   Sergej Spirin --- FastReport for Xbase++   version 27.03.2015      //
//                                                                      //
//   Database Server PostgreSQL                 version 9.4.4.          //
//                                                                      //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

/*
-------------------------------
  PACKAGE:
  __ARTICLES__MAIN.PRG
  __ARTICLES_CODEBOOK.PRG
  __ARTICLES_SELECTION.PRG
  __ARTICLES_DESCRIPTION.PRG
  __ARTICLES_REGISTERCARD.PRG
-------------------------------

REGISTAR KARTICA ARTIKLA SA SVIM PODACIMA O ARTIKLU
PREGLED I EDITOVANJE UZ OVLAENJE

ARTICLE CARD REGISTER WITH ALL INFORMATION ABOUT ARTICEL
VIEWING AND EDITING WITH AUTHORIZATION

-------------------------------
FUNCTION ARTICLES_REGISTERCARD()
 FUNCTION artikal_CFG_upisi1()
 FUNCTION artikal_CFG_citaj1()
 STATIC FUNCTION XGRUPA()
 STATIC FUNCTION Artikli_Maticni_Podaci_Pisi(oBrowse)
 STATIC FUNCTION Artikli_Maticni_Podaci_Public()
 STATIC FUNCTION Artikli_Maticni_Podaci_Release()
 STATIC FUNCTION Artikli_Maticni_Podaci_Citaj()
 STATIC FUNCTION help11()

 FUNCTION WRITE_DATA(oBrowse)


*/



#include "Xbtsys.ch"   // XbttoolsIII
#include "Appevent.ch"
#include "Common.ch"
#include "Xbp.ch"
#include "dll.ch"
#include "dcdialog.ch"





 // UPIS SIFRE ARTIKLA U ARTIKAL.CFG
 // WRITE ARTICLE CODE IN ARTIKAL.CFG
   ****************************************************************
   FUNCTION artikal_CFG_upisi1( cfg_asifra, cfg_abarcod )
   ****************************************************************
      LOCAL cUser := alltrim(User_Name())
      LOCAL ARTIKALLOK := Gde_Exe()+"\"+cUser, ;
            ARTIKALCFG := Gde_Exe()+"\"+cUser+"\ARTIKAL.CFG",;
            rezultat

      DEFAULT cfg_asifra  TO space(5),;  // mogu da budu brojevi, slova, znaci, prazno
              cfg_abarcod TO space(25)   // mogu da budu brojevi, slova, znaci, prazno


      IF FILE(ARTIKALLOK,"D")=.F.
        rezultat = DirMake(ARTIKALLOK)
        IF rezultat <> NO_DISK_ERR
         MsgBox("Nemoguc pristup podruju:"+chr(13)+;
                 ARTIKALLOK,"STOP")
         QUIT_QUIT() // bazne.dll
        ENDIF
      ENDIF // IF FILE(ARTIKALLOK,"D")=.F.

      MemoWrit( ARTIKALCFG, ALLTRIM(cfg_asifra)+"/"+ALLTRIM(cfg_abarcod) )

     RETURN(nil)


  // CITANJE SIFRE ARTIKLA IZ ARTIKAL.CFG
  // READ ARTICLE CODE FROM ARTIKAL.CFG
   ****************************************************************
   FUNCTION artikal_CFG_citaj1()
   ****************************************************************

   LOCAL cUser := alltrim(User_Name())  // bazne.dll
   LOCAL ARTIKALCFG := Gde_Exe()+"\"+cUser+"\ARTIKAL.CFG",;
         string := ""

   PUBLIC cfg_asifra := space(5)   ,; // mogu da budu brojevi, slova, znaci, prazno
          cfg_abarcod := space(25)    // // can be numbers, letters, signs, blank

       IF FILE( ARTIKALCFG ) = .F.
            artikal_CFG_upisi1()  // otvori prazan fajl ARTIKAL.CFG
       ENDIF                      // open empty file ARTIKAL.CFG

       string := ALLTRIM(MemoRead( ARTIKALCFG ))

       cfg_asifra  := ALLTRIM(TOKEN(string,"/",1))
       cfg_abarcod := ALLTRIM(TOKEN(string,"/",2))

   RETURN(cfg_asifra)




************************************************************************
FUNCTION ARTICLES_REGISTERCARD(lEdit,GetList1,oBrowse,GRUPA)
************************************************************************
* lEdit:=.T. editovanje ON  EDITPROTECT OFF :=.F. (!lEdit)
* lEdit:=.F. editovanje OFF EDITPROTECT ON  :=.T. (!lEdit)

************************
LOCAL radno := SELECT() // SELECT "ART"
************************

 LOCAL GetList := {}, GetOptions, boja, xx:=0, zz:=1+0.2
 LOCAL aCUR := {"user32.dll",114}
 LOCAL oCUR := {"user32.dll",112}

 DEFAULT lEdit TO .F. // NO EDIT NO UPDATE

                   BMP_DOC := XbpBitmap():new():create()
                   BMP_DOC:load( "BAZNE.DLL", 11021 )
                   BMP_DOC:transparentClr := BMP_DOC:getDefaultBgColor()

                   BMP_OK := XbpBitmap():new():create()
                   BMP_OK:load( "BAZNE.DLL", 11041 )
                   BMP_OK:transparentClr := BMP_OK:getDefaultBgColor()

                   BMP_ESC := XbpBitmap():new():create()
                   BMP_ESC:load("BAZNE.DLL",11042 )
                   BMP_ESC:transparentClr := BMP_ESC:getDefaultBgColor()

                   BMP_HLP := XbpBitmap():new():create()
                   BMP_HLP:load( "BAZNE.DLL", 11043 )
                   BMP_HLP:transparentClr := BMP_HLP:getDefaultBgColor()

                   BMP_EDIT := XbpBitmap():new():create()
                   BMP_EDIT:load( "BAZNE.DLL", 3500 )
                   BMP_EDIT:transparentClr := BMP_EDIT:getDefaultBgColor()


 ROBS := ROBS_

 Artikli_Maticni_Podaci_Public()
 Artikli_Maticni_Podaci_Citaj(ROBS)

 boja := { GRA_CLR_BLACK, GRA_CLR_WHITE }
 SET DATE FORMAT TO 'dd.mm.yyyy'



@  0,0 DCSTATIC TYPE XBPSTATIC_TYPE_BITMAP PIXEL SIZE 33,33 CAPTION BMP_EDIT // BAZNE.DLL


xx:=2

xx:=xx+zz
   @ xx, 1 DCSAY 'Article Code | ifra artikla' GET ROBS EDITPROTECT {||.T.} ;
   SAYCOLOR {||boja} SAYCURSOR oCUR MESSAGE ;
   "Interna ifra artikla | "+;
   "Internal Article code "
xx:=xx+zz
   @ xx, 1 DCSAY 'Article Type | Tip artikla' GET GRUP ;
   SAYCOLOR {||boja} SAYCURSOR oCUR MESSAGE ;
   "Grupa Hrana = slovo H, Grupa Pie = slovo P | "+;
   "Group Food = letter H, Group Beverage = letter P"
xx:=xx+zz
   @ xx, 1 DCSAY 'Article Name | Naziv artikla' GET ROBN ;
   SAYCOLOR {||boja} SAYCURSOR oCUR MESSAGE ;
   "Skraeni naziv artikla | "+;
   "Short name of the Article "

xx:=xx+zz
   @ xx, 1 DCSAY 'Long Article name | Dugaki Naziv artikla:' ;
   SAYCOLOR {||boja} CURSOR oCUR MESSAGE ;
   "Pun neskraeni naziv artikla | "+;
   "Full unabbreviated Article name "


xx:=xx+zz
   @ xx, 1 DCGET NAME PICTURE "@S52" // +replicate("x",200)


xx:=xx+zz+1
   @ xx, 1 DCSAY 'BarCode | Barkod' GET ROBK;
   SAYCOLOR {||boja} SAYCURSOR oCUR MESSAGE ;
   "Interni ili stvarni barkod artikla | "+;
   "Internal or actual article barcode"
xx:=xx+zz
   @ xx, 1 DCSAY 'Catalog Number | Kataloki broj' GET DOBK;
   SAYCOLOR {||boja} SAYCURSOR oCUR MESSAGE ;
   "Kataloki broj artikla ili drugi podatak | "+;
   "Article catalog number or other information"
xx:=xx+zz
   @ xx, 1 DCSAY 'Reference for Link | Referenca na vezu' GET VEZA;
   SAYCOLOR {||boja} SAYCURSOR oCUR MESSAGE;
   "Oznaka reference za vezu sa artiklom | "+;
   "Reference mark for link to the article"
xx:=xx+zz
   @ xx, 1 DCSAY 'Group Article 1-16 | Grupa artikala 1-16' GET DOBS;
   SAYCOLOR {||boja} SAYCURSOR oCUR MESSAGE;
   "Razvrstavanje artikla u 16 grupa od 1 do 16 | "+;
   "Classification of the article into 16 groups from 1 to 16"
xx:=xx+zz
   @ xx, 1 DCSAY 'Unit Of Measurment | Jedinica mere' GET MERA;
   SAYCOLOR {||boja} SAYCURSOR oCUR MESSAGE ;
   "Oznaka za jedinicu mere artikla | "+;
   "Designation for the unit of measure of the article"
xx:=xx+zz
   @ xx, 1 DCSAY 'Tarifa (internal) | Tarifa (interno)' GET TARI;
   SAYCOLOR {||boja} SAYCURSOR oCUR MESSAGE ;
   "Interna oznaka (ugrauje se u broj konta) | "+;
   "Internal code (built into the account number)"
xx:=xx+zz
   @ xx,1 DCSAY 'VAT rate in % | Stopa poreza u %' GET PPUP;
   SAYCOLOR {||boja} SAYCURSOR oCUR MESSAGE ;
   "PDV stopa artikla u %  |  "+;
   "VAT rate of article in %"
xx:=xx+zz
xx:=xx+zz
   @ xx,1 DCSAY 'Sort article | Vrsta artikla | R,P,M,U,K' GET STATx;
   SAYCOLOR {||boja} SAYCURSOR oCUR MESSAGE ;
   "R-roba, P-proizvod, M-materijal, U-usluga, K-komision | "+;
   "R-goods, P-product, M-material, U-service, K-commission"
xx:=xx+zz
   @ xx,1 DCSAY 'Retail Price | Cena maloprodajna' GET CENA_MPR GETSIZE 20 ;
   SAYCOLOR {||boja} SAYCURSOR oCUR MESSAGE ;
   "Prodajna cena u kojoj se sadri i PDV | "+;
   "Sales price including VAT"
xx:=xx+zz
   @ xx,1 DCSAY 'Foreign currency Price | Cena devizna' GET CENA_DEV GETSIZE 20 ;
   SAYCOLOR {||boja} SAYCURSOR oCUR MESSAGE ;
   "Devizna Prodajna cena u kojoj se sadri i PDV | "+;
   "Foreign currency Sales price including VAT"
xx:=xx+zz
   @ xx,1 DCSAY 'Quantity in stock | Zalihe' GET ZALI     GETSIZE 20 ;
   SAYCOLOR {||boja} SAYCURSOR oCUR MESSAGE ;
   "Trenutna koliina artikla na zalihama | "+;
   "Current quantity of article in stock"

//------------------------------------------------------
xx:=xx+zz
   @ xx,1 DCSAY 'Expiration date | Rok trajanja' GET DAT0     GETSIZE 20 ;
   SAYCOLOR {||boja} SAYCURSOR oCUR MESSAGE ;
   "Rok trajanja ili drugi datum | "+;
   "expiration date or other date"
//------------------------------------------------------


xx:=xx+zz

   of4 := Font_codepage(10,"Werdana",238,.t.)
   @ xx,1 DCMESSAGEBOX OBJECT oMsgBox SIZE 60.2,2 ;
          TEXTOBJECT MESSAGE OPTIONS XBPSTATIC_TEXT_WORDBREAK;
          COLOR GRA_CLR_DARKRED EVAL {|o| o:setfont(of4) }

xx:=xx+zz+2


//-----------------------------------------------------------------------

tbr := 60
btt := tbr/4
dd := 7

@ xx,1 DCTOOLBAR oToolBar SIZE tbr,3 BUTTONSIZE btt,3 FONT of3

DCADDBUTTON CAPTION BMP_OK PARENT oToolBar SIZE dd WHEN {||.F.}
DCADDBUTTON CAPTION "OK" PARENT oToolBar ;
   ACTION {|| sifra_artikla := ROBS_ ,;
   DC_ReadGuiEvent(DCGUI_EXIT_OK,GetList)} ;
   TOOLTIP " Potvrdi izmenu - Confirm the change " ;
   CURSOR aCUR SIZE btt-dd

DCADDBUTTON CAPTION BMP_EDIT PARENT oToolBar SIZE dd WHEN {||.F.}
DCADDBUTTON CAPTION "Edit" PARENT oToolBar ;
   ACTION {|| lEdit:=.T. , c_poruka("EDIT ON"),;
   DC_GetRefresh(GetList)} ;
   TOOLTIP " Edituj podatke - Edit data " ;
   CURSOR aCUR SIZE btt-dd
   // ; WHEN {|| XGRUPA(GRUPA) } // button ON/OFF

DCADDBUTTON CAPTION BMP_HLP PARENT oToolBar SIZE dd WHEN {||.F.}
DCADDBUTTON CAPTION "Help" PARENT oToolBar ACCELKEY xbeK_F1 ;
   ACTION {|| help11(),;
   SetAppFocus(oBrowse)} ;
   TOOLTIP " [F1] Pomo-Help " ;
   CURSOR aCUR SIZE btt-dd

DCADDBUTTON CAPTION BMP_ESC PARENT oToolBar SIZE dd WHEN {||.F.}
DCADDBUTTON CAPTION "Exit" PARENT oToolBar ACCELKEY xbeK_ESC;
   OBJECT oExit;
   ACTION {|| sifra_artikla := "",;
   DC_ReadGuiEvent(DCGUI_EXIT_OK,GetList)} ;
   TOOLTIP " [Esc] izlaz-exit " ;
   CURSOR aCUR  SIZE btt-dd

//-----------------------------------------------------------------------

   DCGETOPTIONS ICON 1;
      NOESCAPEKEY NOMINBUTTON NOMAXBUTTON;
      FONT "10.Archivo Narrow" GETFONT "11.Consolas Bold";
      EDITPROTECT {|| !lEdit } ;  // dcget blocade
      SAYWIDTH 200 ;
      COLORGETS { { GRA_CLR_DEFAULT, GRA_CLR_WHITE },{ GRA_CLR_DEFAULT,;
       GraMakeRGBColor({235,232,247}) } }  ;
       TOOLTIPCOLOR GRA_CLR_BLACK,GRA_CLR_YELLOW TOOLTIPFONT "10.Consolas"

   DCREAD GUI ;
      OPTIONS GetOptions ;
      FIT;
      TITLE "ARTICLE REGISTER CARD" ;
      PARENT @oDlg ;
      SETFOCUS @oexit ;
      MODAL ;
      EVAL {|o|SetAppWindow(o)}





      IF lEdit==.T. // EDIT AND UPDATE

         * SELECT "ART"
         SELECT(radno)

         Artikli_Maticni_Podaci_Pisi(ROBS,oBrowse)    // WRITE DATA

         * SELECT "ART"
         SELECT(radno)
         dc_getrefresh(GetList)

         GO TOP
         LOCATE FOR ROBS_ == ROBS
         oBrowse:Refreshall()

         Artikli_Maticni_Podaci_Release()
         CLEAR TYPEAHEAD  // vraca fokus na prethodni objekat
                          // returns focus to the previous object
      ENDIF


      Artikli_Maticni_Podaci_Release()
      CLEAR TYPEAHEAD  // vraca fokus na prethodni objekat
                       // returns focus to the previous object
RETURN nil

************************************************************
STATIC FUNCTION XGRUPA(GRUPA)
************************************************************
IF EMPTY(GRUPA)
   RETURN .T.
ENDIF
// C__GRESKA("NO EDIT","STOP",,"G3")
RETURN .F.





*************************************************************
STATIC FUNCTION Artikli_Maticni_Podaci_Pisi(ROBS,oBrowse)
*************************************************************
LOCAL radno := SELECT()

* PUBLIC codebook // shemaname.tablename

PRIVATE cSQL, cStmt

PRIVATE xROBS := ROBS
PRIVATE xDAT0 := DAT0  // Xbase++ DBF date format 20231122 (var2char)
IF EMPTY(xDAT0)
   xDAT0:=DATE()       // Xbase++ DBF date format 20231122 (var2char)
ENDIF


* ---
* SQL command UPDATE
* "UPDATE kroba_11 SET dat0_ = '2023-11-22' WHERE robs_='12345';"
* ---
*   xDAT0=20231122 // Xbase++ DBF date format
* potrebno je za upis u postgreSQL tablu
* it is necessary to write in the sql table
*   xDAT0="2023-11-22" // string
* ---

 xDAT0 := DTOS(xDAT0) // ---> string: "20231122"
 //STOP(2,xDAT0,1)      // ---> "20231122"
 xDAT0:=SUBSTR(xDAT0,1,4)+"-"+SUBSTR(xDAT0,5,2)+"-"+SUBSTR(xDAT0,7,2)
 //STOP(3,xDAT0,1)      // ---> "2023-11-22"

* ---
* numerike prevedi u stringove zbog TEXT INTO cSQL WRAP
* numeric translate in strings bye TEXT INTO cSQL WRAP

 PPUP     := var2char(PPUP_)       // numeric
 PPAP     := var2char(PPAP_)       // numeric
 OSNO_AKC := var2char(OSNO_AKC_)   // numeric
 CENA_PRO := var2char(CENA_PRO_)   // numeric
 CENA_DEV := var2char(CENA_DEV_)   // numeric
 ZALI     := var2char(ZALI_)       // numeric
 ROK      := var2char(ROK_)        // integer
 CENA_FAK := var2char(CENA_FAK_)   // numeric
 CENA_NAB := var2char(CENA_NAB_)   // numeric
 CENA_VPR := var2char(CENA_VPR_)   // numeric
 CENA_MPR := var2char(CENA_MPR_)   // numeric
* ---

TEXT INTO cSQL WRAP
UPDATE &codebook
SET
DAT0_ = '&xDAT0',
GRUP_ = '&GRUP',
ROBN_ = '&ROBN',
ROBK_ = '&ROBK',
DOBK_ = '&DOBK',
VEZA_ = '&VEZA',
DOBS_ = '&DOBS',
MERA_ = '&MERA',
TARI_ = '&TARI',
PPUP_ =  &PPUP,
PPAP_ =  &PPAP,
OSNO_AKC_ = &OSNO_AKC,
ROK_  = &ROK,
CENA_FAK_ = &CENA_FAK,
CENA_NAB_ = &CENA_NAB,
CENA_VPR_ = &CENA_VPR,
CENA_MPR_ = &CENA_MPR,
CENA_PRO_ = &CENA_PRO,
CENA_DEV_ = &CENA_DEV,
ZALI_ = &ZALI,
STAT_ = '&STATx',
FLAG_ = '&FLAG',
ZNAK_ = '&ZNAK',
NAME_ = '&NAME',
OPIS_ = '&OPIS'
WHERE
ROBS_ = '&xROBS'
ENDTEXT
// dc_memoedit(cSQL,1) ; __pg__AppQuit() // test

     oStmt := DacSqlStatement():fromChar(cSQL)
     oStmt:build():execute()
     ********************
     * SELECT "ART"
     SELECT(radno)
     ********************
     SetAppFocus(oBrowse)
     DBREFRESH()
     oBrowse:refreshall()
     dc_getrefresh(GetList)

RETURN NIL




*************************************************************
STATIC FUNCTION Artikli_Maticni_Podaci_Public()
*************************************************************
 PUBLIC ;
 ROBS ,;
 DAT0 ,;
 GRUP ,;
 ROBN ,;
 ROBK ,;
 DOBK ,;
 VEZA ,;
 DOBS ,;
 MERA ,;
 TARI ,;
 PPUP ,;
 PPAP ,;
 OSNO_AKC ,;
 CENA_PRO ,;
 CENA_DEV ,;
 ZALI ,;
 ROK  ,;
 CENA_FAK ,;
 CENA_NAB ,;
 CENA_VPR ,;
 CENA_MPR ,;
 STATx    ,;
 FLAG    ,;
 ZNAK    ,;
 NAME    ,;
 OPIS
RETURN NIL
*************************************************************
STATIC FUNCTION Artikli_Maticni_Podaci_Release()
*************************************************************
 RELEASE ;
 ROBS ,;
 DAT0 ,;
 GRUP ,;
 ROBN ,;
 ROBK ,;
 DOBK ,;
 VEZA ,;
 DOBS ,;
 MERA ,;
 TARI ,;
 PPUP ,;
 PPAP ,;
 OSNO_AKC ,;
 ROK  ,;
 CENA_FAK ,;
 CENA_NAB ,;
 CENA_VPR ,;
 CENA_MPR ,;
 CENA_PRO ,;
 CENA_DEV ,;
 ZALI     ,;
 STATx    ,;
 FLAG    ,;
 ZNAK    ,;
 NAME    ,;
 OPIS
RETURN NIL
*************************************************************
STATIC FUNCTION Artikli_Maticni_Podaci_Citaj(ROBS)
*************************************************************

 ROBS := ROBS_ // string
 DAT0 := DAT0_ // date
 GRUP := GRUP_ // string
 ROBN := ROBN_ // string
 ROBK := ROBK_ // string
 DOBK := DOBK_ // string
 VEZA := VEZA_ // string
 DOBS := DOBS_ // string
 MERA := MERA_ // string
 TARI := TARI_ // string

 PPUP     := PPUP_       // numeric
 PPAP     := PPAP_       // numeric
 OSNO_AKC := OSNO_AKC_   // numeric
 CENA_PRO := CENA_PRO_   // numeric
 CENA_DEV := CENA_DEV_   // numeric
 ZALI     := ZALI_       // numeric
 ROK      := ROK_        // integer
 CENA_FAK := CENA_FAK_   // numeric
 CENA_NAB := CENA_NAB_   // numeric
 CENA_VPR := CENA_VPR_   // numeric
 CENA_MPR := CENA_MPR_   // numeric

 STATx := STAT_ // string
 FLAG  := FLAG_ // string
 ZNAK  := ZNAK_ // string
 NAME  := NAME_ // string
 OPIS  := OPIS_ // string

RETURN NIL


******************************************************************************
STATIC FUNCTION help11()
******************************************************************************
LOCAL txt, cr := chr(59)
txt := ;
"Ovo je registar kartica artikla (roba, materijal, proizvod, usluga)."    +cr+;
"Artikal se nalazi u spisku artikala prodajnog objekta ili restorana."    +cr+;
"Kartica mora postojati sa ispravnim i potpunim podacima, da bi se"       +cr+;
"podaci o artiklu mogli poslati u druga dokumenta u ovoj aplikaciji."     +cr+;
"Podaci u kartici mogu se menjati i korigovati od strane korisnika. "     +cr+;
" "                                                                       +cr+;
"This is an article card register (goods, material, product, service)."   +cr+;
"The article is in the articles list of sales facility or restaurant."    +cr+;
"The card must exist with correct and complete data, in order to"         +cr+;
"article data could be sent to other documents in this application."      +cr+;
"Data in the card can be changed and corrected by the user. "             +cr+;
""

c__procitaj(txt,"REGISTAR KARTICA ARTIKLA",,"G1")

RETURN(nil)






*************************************************************************
FUNCTION WRITE_DATA(oBrowse)
*************************************************************************
LOCAL radno:=SELECT()
LOCAL GetList := {}, GetOptions, boja, xx:=0, zz:=1+0.2
LOCAL aCUR := {"user32.dll",114}
LOCAL oCUR := {"user32.dll",112}

*************
SELECT "ART"
*************


 ROBS := ROBS_

 Artikli_Maticni_Podaci_Public()
 Artikli_Maticni_Podaci_Citaj(ROBS)

 boja := { GRA_CLR_BLACK, GRA_CLR_WHITE }

xx:=2

xx:=xx+zz
   @ xx, 1 DCSAY 'Group: H-Food, P-Drink' GET GRUP GETOBJECT ooo;
   SAYCOLOR {||boja} SAYCURSOR oCUR TOOLTIP " Group articles: Food and Drink "
xx:=xx+zz
   @ xx, 1 DCSAY 'Group article 1 - 16' GET DOBS;
   SAYCOLOR {||boja} SAYCURSOR oCUR TOOLTIP " Group articles: from 1 to 16 "
xx:=xx+zz+1
   @ xx, 1 DCSAY 'BarCode article' GET ROBK;
   SAYCOLOR {||boja} SAYCURSOR oCUR TOOLTIP " BarCode EAN-13, EAN-8 "
xx:=xx+zz
   @ xx,1 DCSAY 'Retail price' GET CENA_MPR GETSIZE 20 ;
   SAYCOLOR {||boja} SAYCURSOR oCUR TOOLTIP " Retail price with tax "
xx:=xx+zz
   @ xx,1 DCSAY 'Stock' GET ZALI GETSIZE 20 ;
   SAYCOLOR {||boja} SAYCURSOR oCUR TOOLTIP " Quantity in stock "


xx:=xx+zz
tbr := 60
btt := tbr/4
dd := 7
lEdit:=.F.

@ xx,1 DCTOOLBAR oToolBar SIZE tbr,3 BUTTONSIZE btt,3

DCADDBUTTON CAPTION "OK" PARENT oToolBar ;
   ACTION {|| DC_ReadGuiEvent(DCGUI_EXIT_OK,GetList)} ;
   TOOLTIP " [OK] " ;
   CURSOR aCUR SIZE btt FONT "13.Verdana Bold"

DCHOTKEY xbeK_ESC ACTION {|| DC_ReadGuiEvent(DCGUI_EXIT_OK,GetList)}


   DCGETOPTIONS ICON 1;
      NOESCAPEKEY NOMINBUTTON NOMAXBUTTON;
      FONT "10.Verdana" GETFONT "11.Consolas Bold";
      SAYWIDTH 200 ;
      COLORGETS { { GRA_CLR_DEFAULT, GRA_CLR_WHITE },;
      { GRA_CLR_DEFAULT, GraMakeRGBColor({235,232,247}) } } ;
      TOOLTIPCOLOR GRA_CLR_BLACK,GRA_CLR_YELLOW TOOLTIPFONT "10.Consolas"


   DCREAD GUI ;
      OPTIONS GetOptions ;
      FIT;
      TITLE "QUICK DATA ENTRY" ;
      PARENT @oDlg ;
      SETFOCUS @ooo ;
      MODAL ;
      EVAL {|o|SetAppWindow(o)}


         * SELECT "ART"
         SELECT(radno)

         Artikli_Maticni_Podaci_Pisi(ROBS,oBrowse)    // WRITE DATA

         * SELECT "ART"
         SELECT(radno)
         dc_getrefresh(GetList)

         GO TOP
         LOCATE FOR ROBS_ == ROBS
         oBrowse:Refreshall()

         Artikli_Maticni_Podaci_Release()
         CLEAR TYPEAHEAD  // vraca fokus na prethodni objekat
                          // returns focus to the previous object

RETURN NIL


