/*

 __XKONOBAR_XKASIR.PRG

 07-03-2022
 19-01-2022

 www.cobasystems.com
  COBA Systems Software
 BAST Open Source Project
 Business Account Software Technology
 www.cobasystems.com

 Programski alati:
 www.Alaska-Software.com
 Alaska Xbase++ version 2.0.817
 www.Donnay-software.com
 eXpress++ version 2.0.265
 SAP (SYBASE) Advantage Database Server
 ADS (remote server) ALS (local server)
 version 10.10.0.49
 Sergej Spirin
 FastReport for Alaska Xbase++
 version 27.03.2015

 ==================================================
 Program: __XKONOBAR_XKASIR.PRG


 ==================================================
 tekst mora biti izmeu dve crte od 50 znakova '='

*/
#include "Appevent.ch"
#include "Common.ch"
#include "Font.ch"
#include "Gra.ch"
#include "Xbp.ch"
#INCLUDE "DCDIALOG.CH"
#INCLUDE "DCGRA.CH"






****************************************************************************
// START -- FUNKCIJE ZA PROMENU BROJA - POTPISA KASIRA
****************************************************************************

* FUNCTION promena_kasira()  // START SA F7 tasterom  PROMENA KASIRA
* FUNCTION xKonobar()
* FUNCTION xKasir()          // ITANJE I PRIKAZ KASIRA NA DISPLAY TITLEBAR-a
* FUNCTION RESTORANSKI_MOD_DA_NE()


****************************************************************************
FUNCTION promena_kasira()  // START SA F7 tasterom
****************************************************************************
/*
Sifra kasira unosi se pri startu programa kroz UserName i Password i ona je
redni broj usera upisan u user.dbf fajl, a cuva se u PUBLIC promenljivoj:
KORISNIK koja je numerik od 1 do 20. Pri formiranju racuna|kasa bloka, ova
sifra kasira (KORISNIK) upisuje se u stavku kasabloka-racuna u polje OPST_
REPLACE OPST_ WITH STRZERO(KORISNIK,2)

Ovde se ovom funkcijom dozvoljava izmena ove sifre kasira u toku rada kase
a bez izmene usera koji je aktivirao kasu. User ostaje isti, ali se sifra
kasira (KORISNIK) moze menjati, kako bi se mogli menjati konobari na istoj
kasi a da svaka stavka u napravljenim kasablokovima nosi oznaku kasira koji
je napravio, zbog podele pazara po kasirima na kraju dana.

* ---

The cashier code is entered at the start of the program through UserName and Password and it is
the sequence number of the user entered in the user.dbf file, and stored in the PUBLIC variable:
USER, which is a number from 1 to 20. When creating a cash register account, this
the cashier's code (USER) is entered in the cash register-account item in the field OPST_
REPLACE OPST_ WITH STRZERO(USER,2)

Here, this function allows the change of this cashier's code during the operation of the cash register
and without changing the user who activated the checkout. The user remains the same, but it is encrypted
the cashier (USER) can change, so that the waiters can change on the same
cashier and that each item in the made cash registers bears the mark of the cashier who
made, due to the division of the market by cashiers at the end of the day.


*/

LOCAL radno := SELECT()


HlpTxt := "Password: ili ifra Kasira ili Konobara "  +chr(13)+chr(10)+;
          "zadaje se ovde samo kao broj od 1 do 20 "  +chr(13)+chr(10)+;
          "Username i Password Kasira ili Konobara "  +chr(13)+chr(10)+;
          "postavlja administrator odnosno vlasnik "  +chr(13)+chr(10)+;
          "iz operacije programa: Password sistem  "  +chr(13)+chr(10)+;
          " "                                         +chr(13)+chr(10)+;
          "Password: or Cashier or Barman code     " +chr(13)+chr(10)+;
          "it is given as a number from 1 to 20    " +chr(13)+chr(10)+;
          "Username and Password of Cashier set    " +chr(13)+chr(10)+;
          "by administrator or owner from program  " +chr(13)+chr(10)+;
          "operation: Password system              " +chr(13)+chr(10)+;
          " "


      cKorisnik := eZADAJ("  ","CHANGE:","BARMAN CODE  05,06,07,... 20",, HlpTxt )

      IF EMPTY(cKorisnik)
         RETURN NIL
      ENDIF

      nKorisnik := VAL(cKorisnik)

     IF nKorisnik < 5 .or. nKorisnik > 20
        c__greska("Numbers from 5-20 are accepted","Cashier|Barman",,"G1")
        RETURN NIL
     ENDIF


* 07-03-2022
*************************************************************************
INI_WRITE("C","KASA","kasirID",strzero(nKorisnik,2),gde_exe()+"\KASA.INI")
*************************************************************************
* 07-03-2022

    **************
     xKONOBAR()    // ITANJE I PRIKAZ KASIRA NA DISPLAY TITLEBAR-a
    **************

SELECT(radno)
RETURN nil
*************************************************************************
// KRAJ -- FUNKCIJE ZA PROMENU BROJA - POTPISA KASIRA
*************************************************************************
*************************************************************************
FUNCTION xKONOBARcbroj() // 10-03-2020
*************************************************************************
LOCAL ckonobar := LEFT(MemoRead(Gde_Exe()+"\USER.TMP"),2)
// ckonobar = STRZERO(KORISNIK,2)
// upisuje se u stavku rauna restoranskog stola kod nove stavke
// is written to the item of the restaurant table account at the new item
IF EMPTY(ckonobar)  // barman
   ckonobar:="05"   // batman code
ENDIF
RETURN cKonobar
*************************************************************************
FUNCTION xKONOBAR(nn)
// FORMIRA PUBLIC
// KASANASLOV, KORISNIK, KORISNIKIME, KORISNIKSTATUS, KAS, MAG
*************************************************************************
// MORA DA POSTOJI USER.TMP - AKO GA NEMA BIE OVDE NAPRAVLJEN - DEFAULT
LOCAL radno := SELECT()
LOCAL txt, USER, nnn, ccc, nKasir, nPos1, nPos2
DEFAULT nn TO 1

  *****************************
  USER := Gde_Exe()+"\USER.TMP"
  *****************************
  txt := ALLTRIM(MemoRead(USER))
  IF EMPTY(txt)
     MemoWrit(USER,"01|COBASystems|1")  // ako USER.TMP nema napravi ga i napuni ga
  ENDIF

*------------------------------------------------------------------------ 07-03-2022
  * ako je sa [ALT][K] upisana ifra kasira u KASA.INI
  * ona se mora pojaviti i u titlebaru i u password sistemu
  * Ako nije upisana tada se koristi default KORISNIK = "01"

   nKasir := INI_READ("C","KASA","kasirID",gde_exe()+"\KASA.INI")
   * nKasir := "01","02"... "20"


  * Ako je upisan nKasir := "07", tada koriguj USER fajl:
  IF empty(nKasir)==.F.

     txt := ALLTRIM(MemoRead(USER))  // ako USER.TMP ima proitaj ga
    * txt = "11|COBASystems|1"

     nnn:=at("|",txt)
     ccc:=alltrim(nKasir)+alltrim(substr(txt,nnn,50))

     txt:=ccc
    * txt = "07|COBASystems|1"
     MemoWrit(USER,txt)

  ENDIF
*------------------------------------------------------------------------ 07-03-2022


           txt   := ALLTRIM(MemoRead(USER))  // ako USER.TMP ima proitaj ga
       //  Proitani string iz USER.TMP parsiraj na tri PUBLIC
                      npos1 := AT("|",txt)
                      npos2 := AT("|",txt,npos1+1)
       //  MsgBox(str(nPos1)+" "+str(nPos2))
            PUBLIC KORISNIK       := VAL(SUBSTR(txt,1,npos1-1))
            PUBLIC KORISNIKIME    := SUBSTR(txt,nPos1+1,nPos2-1-nPos1)
            PUBLIC KORISNIKSTATUS := SUBSTR(txt,nPos2+1,1)  // status 1 sve je dozvoljeno
       // MsgBox(ALLTRIM(STR(KORISNIK))+chr(13)+ALLTRIM(KORISNIKIME)+chr(13)+ALLTRIM(KORISNIKSTATUS))




IF nn==2 // 06-03-2018
// oznaka:=xKASIR(2) // KASA_BAZA.DLL // potrebno za log fajl
   SELECT(radno)
   RETURN ALLTRIM(MEMOREAD(USER))
   *
   *      oznaka           num 5-20    str         num 1-9
   * "01|COBASystems|1" = KORISNIK|KORISNIKIME|KORISNIKSTATUS
   * dobija se PUBLIC KORISNIK,KORISNIKIME,KORISNIKSTATUS
   * Prihvataju se brojevi od 05-20 za Kasir|Konobar
   * kada se menja broj konobara-kasira iz kase sa F7
   *
ENDIF  // 06-03-2018

    SELECT(radno)
    ****************
    naslovpromeni()  // PUBLIC KASANASLOV
    ****************

RETURN NIL


* 07-03-2022
*************************************************************************
FUNCTION naslovpromeni(o) // za upotrebu iz bilo koje take aplikacije
*************************************************************************
* Promena naslova u TITLEBAR-u u prozoru PRODAJA_KOMANDNI_EKRAN.PRG
* posle promene kasira, promene PFR-a i promene POS printera, a uvek
* posle starta programa iz DCREAD GUI EVAL{|o| naslovpromeni(o)}


DEFAULT o TO setappwindow()

 ************************
 PUBLIC KASANASLOV := ""
 ************************
 PUBLIC APLIKACIJA:="PostgreSQL"

 PUBLIC LPFR_TEST := INI_READ("L","KASA","LPFR_TEST",gde_exe()+"\KASAPFR.INI")
 PUBLIC LPFR_VPFR := INI_READ("C","KASA","LPFR_VPFR",gde_exe()+"\KASAPFR.INI")

 // stop(LPFR_VPFR,1)

 PUBLIC POS_printer_name := INI_READ("C","KASABLOK","POS_printer_name",gde_exe()+"\KASA.INI")
 PUBLIC KAS   := INI_READ("C","KASA_CFG","cBroj_Kase"   ,gde_exe()+"\KASA.INI")
 PUBLIC MAG   := INI_READ("C","KASA_CFG","cObjekat_Kase",gde_exe()+"\KASA.INI")
 PUBLIC KASIR := INI_READ("C","KASA","kasirID"          ,gde_exe()+"\KASA.INI")
 * KASIR := "01","02"... "20"


    // KONOBAR
     KASANASLOV := ;
    "KASA-STOLOVI-"+MAG+"-"+KAS+" | " +"BARMAN  "+KASIR


 IF LPFR_TEST == .T.
    cpri := POS_printer_name
    cpfr := " TEST ENVIRONMENT "
 ELSE
    IF LPFR_VPFR == "LPFR"
       cpri := POS_printer_name
       cpfr := " LOCAL PFR "
    ELSE
       cpri := POS_printer_name
       cpfr := " VIRTUAL PFR "
    ENDIF
 ENDIF

KASANASLOV := ;
       APLIKACIJA       +" | "+;
       KASANASLOV       +" | "+;
       cpri             +" | "+;
       cpfr             +" | "+;
       LPFR_VPFR        +" | "+;
       "ESIR 532/v2022-05-01"+" | "+;
       "Build "+gde_ver()+" | "

// stop(2,KASANASLOV,1)

*************************
o:setTitle( KASANASLOV )
*************************

RETURN NIL




*************************************************************************
FUNCTION RESTORANSKI_MOD_DA_NE()
// deo funkcije RESTORANSKI_MOD() - RESTORANSKI_MOD.PRG
*************************************************************************
// UKLJUIVANJE ILI ISKLJUIVANJE RESTORANSKOG MODA RADA U ZAVISNOSTI OD
// POSTAVLJENOG KLJUA U KASA.INI FAJLU
//--------------------------------------------------------------------
        aFileName := gde_exe()+"\KASA.INI"
        IniFile := TIniFile():New(aFileName)  // __KASA_INI.PRG
        cModRada := IniFile:ReadString("KASA_CFG", "cModRada" )
//--------------------------------------------------------------------
        IF cModRada == "restoranski mod rada"
           RETURN .T.
        ENDIF
RETURN .F.
