//////////////////////////////////////////////////////////////////////////
//                                                                      //
//                                                                      //
//   2_KASA_tach_buttons_gornji_toolbar.prg
//                                                                      //
//   11-11-2023                                                         //
//                                                                      //
//   www.cobasystems.com --- COBA Systems --- Slobodan Stanojevi Coba  //
//   Open Source Project BAST Business Account Software Technology      //
//   www.Alaska-Software.com --- Alaska Xbase++ version 2.0.1503        //
//   www.Donnay-software.com --- eXpress++      version 2.0.268         //
//   Sergej Spirin --- FastReport for Xbase++   version 27.03.2015      //
//                                                                      //
//   Database Server PostgreSQL                 version 9.4.4.          //
//                                                                      //
//                                                                      //
//////////////////////////////////////////////////////////////////////////


/*


 2 REDA SA PO 8 BUTTONS U JEDNOM REDU (OSAM KOLONA)
 2 ROWS WITH 8 BUTTONS IN ONE ROW (EIGHT COLUMNS)
 ====================================================


*/
#include "Appevent.ch"
#include "Common.ch"
#include "Xbp.ch"

//#include "Font.ch"
//#include "Gra.ch"

#INCLUDE "DCDIALOG.CH"
#INCLUDE "DCGRA.CH"
#INCLUDE "(KASA-STOLOVI-RESOURCE)\KASA-STOLOVI.CH"

***************************************************************************
FUNCTION KASA_tach_buttons_gornji_toolbar(GetList)
***************************************************************************
* GORNJI TOOLBAR
* EKRANSKI PRIKAZ GRUPE ARTIKALA 1 - 12 ...... [F1] - [F12]


*************************************************************************** START
*                         "BUTTONS GORNJI TOOLBAR 2 ROWS"
***************************************************************************
 LOCAL ;
 x1 := 0.6     ,;
 y1 := 0.6     ,;
 du := 15-0.2  ,;
 bb := 3-0.1



 PUBLIC o1,o2,o3,o4,o5,o6,o7,o8,;       // objekti za 8 dugmadi za GRUPE
        o9,o10,o11,o12,o13,o14,o15,o16  // objekti za 8 dugmadi za GRUPE



PUBLIC brojstrane := "1"
PUBLIC stavkarobe := "GRUPE I ARTIKLI", oStavkarobe
ofo:= SRfont(10,"Verdana")


//--------------------------------------------------------
// G R U P E
//--------------------------------------------------------
*
* NAZIVI 8 GRUPA UITAVAJU SE IZ KASA.INI
*
PRIVATE inifil:= GDE_EXE()+"\KASA.INI"
PRIVATE;
  qq1  :=INI_READ("C","GRUPE","1"  ,inifil),;
  qq2  :=INI_READ("C","GRUPE","2"  ,inifil),;
  qq3  :=INI_READ("C","GRUPE","3"  ,inifil),;
  qq4  :=INI_READ("C","GRUPE","4"  ,inifil),;
  qq5  :=INI_READ("C","GRUPE","5"  ,inifil),;
  qq6  :=INI_READ("C","GRUPE","6"  ,inifil),;
  qq7  :=INI_READ("C","GRUPE","7"  ,inifil),;
  qq8  :=INI_READ("C","GRUPE","8"  ,inifil),;
  qq9  :=INI_READ("C","GRUPE","9"  ,inifil),;
  qq10 :=INI_READ("C","GRUPE","10" ,inifil),;
  qq11 :=INI_READ("C","GRUPE","11" ,inifil),;
  qq12 :=INI_READ("C","GRUPE","12" ,inifil),;
  qq13 :=INI_READ("C","GRUPE","13" ,inifil),;
  qq14 :=INI_READ("C","GRUPE","14" ,inifil),;
  qq15 :=INI_READ("C","GRUPE","15" ,inifil),;
  qq16 :=INI_READ("C","GRUPE","16" ,inifil)



IF EMPTY(qq1) // ako ne postoji upis u F1

/*
  INI_WRITE("C","GRUPE","1" ,"TOPLI;NAPITCI"   ,inifil)
  INI_WRITE("C","GRUPE","2" ,"VINA;VINJACI"    ,inifil)
  INI_WRITE("C","GRUPE","3" ,"ESTOKA;PIA"    ,inifil)
  INI_WRITE("C","GRUPE","4" ,"PIVA"            ,inifil)
  INI_WRITE("C","GRUPE","5" ,"RAKIJE"          ,inifil)
  INI_WRITE("C","GRUPE","6" ,"SOKOVI;GAZIRANO" ,inifil)
  INI_WRITE("C","GRUPE","7" ,"JELA;A LA CART"  ,inifil)
  INI_WRITE("C","GRUPE","8" ,"ROTILJ"         ,inifil)
  INI_WRITE("C","GRUPE","9" ,"RIBA"            ,inifil)
  INI_WRITE("C","GRUPE","10","SALATE"          ,inifil)
  INI_WRITE("C","GRUPE","11","PREDJELO"        ,inifil)
  INI_WRITE("C","GRUPE","12","PEENJA"         ,inifil)
  INI_WRITE("C","GRUPE","13","ORBE;SUPE"      ,inifil)
  INI_WRITE("C","GRUPE","14","DESERT;SLATKII" ,inifil)
  INI_WRITE("C","GRUPE","15","SENDVII"        ,inifil)
  INI_WRITE("C","GRUPE","16","DORUAK"         ,inifil)
*/

  INI_WRITE("C","GRUPE","1" ,"HOT;DRINKS"        ,inifil)
  INI_WRITE("C","GRUPE","2" ,"WINES;COGNAC"      ,inifil)
  INI_WRITE("C","GRUPE","3" ,"STRONG;DRINKS"     ,inifil)
  INI_WRITE("C","GRUPE","4" ,"BEER"              ,inifil)
  INI_WRITE("C","GRUPE","5" ,"BRANDIES"          ,inifil)
  INI_WRITE("C","GRUPE","6" ,"JUICES;CARBONATED" ,inifil)
  INI_WRITE("C","GRUPE","7" ,"FOOD;A LA CART"    ,inifil)
  INI_WRITE("C","GRUPE","8" ,"BARBECUE"          ,inifil)
  INI_WRITE("C","GRUPE","9" ,"FISH"              ,inifil)
  INI_WRITE("C","GRUPE","10","SALADS"            ,inifil)
  INI_WRITE("C","GRUPE","11","APPETIZER"         ,inifil)
  INI_WRITE("C","GRUPE","12","ROASTING"          ,inifil)
  INI_WRITE("C","GRUPE","13","BROTH;SOUPS"       ,inifil)
  INI_WRITE("C","GRUPE","14","DESSERT;SWEET"     ,inifil)
  INI_WRITE("C","GRUPE","15","SANDWICHES"        ,inifil)
  INI_WRITE("C","GRUPE","16","BREAKFAST"         ,inifil)


  qq1  :=INI_READ("C","GRUPE","1"  ,inifil)
  qq2  :=INI_READ("C","GRUPE","2"  ,inifil)
  qq3  :=INI_READ("C","GRUPE","3"  ,inifil)
  qq4  :=INI_READ("C","GRUPE","4"  ,inifil)
  qq5  :=INI_READ("C","GRUPE","5"  ,inifil)
  qq6  :=INI_READ("C","GRUPE","6"  ,inifil)
  qq7  :=INI_READ("C","GRUPE","7"  ,inifil)
  qq8  :=INI_READ("C","GRUPE","8"  ,inifil)
  qq9  :=INI_READ("C","GRUPE","9"  ,inifil)
  qq10 :=INI_READ("C","GRUPE","10" ,inifil)
  qq11 :=INI_READ("C","GRUPE","11" ,inifil)
  qq12 :=INI_READ("C","GRUPE","12" ,inifil)
  qq13 :=INI_READ("C","GRUPE","13" ,inifil)
  qq14 :=INI_READ("C","GRUPE","14" ,inifil)
  qq15 :=INI_READ("C","GRUPE","15" ,inifil)
  qq16 :=INI_READ("C","GRUPE","16" ,inifil)

ENDIF


//--------------------------------------------------------
// T O O L B A R  -  P R V I  R E D
//--------------------------------------------------------
// aColor := { 192, 192, 192 }
// DC_BitmapTransparentColor( aColor )

co1 := GRA_CLR_WHITE
co2 := GRA_CLR_DARKGREEN  // GRA_CLR_BLUE
co3 := GRA_CLR_BLACK
co4 := GRA_CLR_YELLOW
co5 := GRA_CLR_DARKRED
fo1 := "12.Arial Narrow Bold"

  fo1 := SRLfont(18,6,"Arial")    // bazne.dll

//----------------------------------------- OKVIR ZA DCBUTTONXP GRUPA

 PUBLIC BmpOkvir := NIL
 @ 0,0.5 ;
 DCSTATIC TYPE XBPSTATIC_TYPE_GROUPBOX;
                              SIZE 138*7, 7*20 ;
                              OBJECT BmpOkvir ;
                              COLOR GRA_CLR_RED PIXEL

//---------------------------------- OKVIR ZA DCBUTTON IKONE STOLOVA

// kada postoji dva reda dugmadi za grupe
 PUBLIC OkvirBmp := NIL

 @ 6.5*20, 0.5*7 ;  // pomereno za dva reda dugmadi na dole
 DCSTATIC TYPE XBPSTATIC_TYPE_GROUPBOX CAPTION ""; // "STOLOVI";
                              SIZE 138*7, 34.5*20 ;
                              OBJECT OkvirBmp FONT fo1 PIXEL

//------------------------------------- DCBUTTONXP KAO NOSA ZA SLIKU

    o__slika := XbpBitmap():new()
    o__slika:LoadFile("objekat.gif")

     @ 0.5*20,0.5*7 DCPUSHBUTTONXP BITMAP o__slika ;
       PIXEL SIZE 137*7,34*20;
       OBJECT oslika ;
       WHEN {|o| tobak(o) } PARENT OkvirBmp PIXEL

//-------------------------------------------------------------------



//--------------------------------------------------------
// T O O L B A R  -  P R V I  R E D
//--------------------------------------------------------
 du := 16+1.1 // 15-0.2  ,;
 bb := 3-0.1
 coba := "coba" // ostavljeno za rezervne podatke

//============================ 1

 @ x1,y1 DCPUSHBUTTONXP CAPTION qq1 ;
   PARENT bmpOkvir SIZE du,bb ACCELKEY xbeK_F1 ;
   ACTION {|a,b,o| ;
           selectcolorbutton(o,getlist) ,;
           grupa_1(o,GetList)};
   CARGO {qq1,1,coba} TOOLTIP " grupa 1 ";
   CURSOR CUR SELECTENABLE SELECTCOLOR co1,co5 ;
   OUTLINE COLOR co1,co2 CLICKCOLOR co3,co4 FONT fo1 OBJECT o1

//============================ 2

 @ x1,y1+du*1 DCPUSHBUTTONXP CAPTION qq2 ;
   PARENT bmpOkvir SIZE du,bb ACCELKEY xbeK_F2 ;
   ACTION {|a,b,o| ;
           selectcolorbutton(o,getlist) ,;
           grupa_2(o,GetList)};
   CARGO {qq2,2,coba} TOOLTIP " grupa 2 ";
   CURSOR CUR SELECTENABLE SELECTCOLOR co1,co5 ;
   OUTLINE COLOR co1,co2 CLICKCOLOR co3,co4 FONT fo1 OBJECT o2

//============================ 3

 @ x1,y1+du*2 DCPUSHBUTTONXP CAPTION qq3 ;
   PARENT bmpOkvir SIZE du,bb ACCELKEY xbeK_F3   ;
   ACTION {|a,b,o| ;
           selectcolorbutton(o,getlist) ,;
           grupa_3(o,GETLIST)};
   CARGO {qq3,3,coba} TOOLTIP " grupa 3 ";
   CURSOR CUR SELECTENABLE SELECTCOLOR co1,co5;
   OUTLINE COLOR co1,co2 CLICKCOLOR co3,co4 FONT fo1 OBJECT o3

//============================ 4

 @ x1,y1+du*3 DCPUSHBUTTONXP CAPTION qq4 ;
   PARENT bmpOkvir SIZE du,bb ACCELKEY xbeK_F4   ;
   ACTION {|a,b,o| ;
           selectcolorbutton(o,getlist) ,;
           grupa_4(o,GETLIST)};
   CARGO {qq4,4,coba} TOOLTIP " grupa 4 ";
   CURSOR CUR SELECTENABLE SELECTCOLOR co1,co5;
   OUTLINE COLOR co1,co2 CLICKCOLOR co3,co4 FONT fo1 OBJECT o4

//============================ 5

 @ x1,y1+du*4 DCPUSHBUTTONXP CAPTION qq5 ;
   PARENT bmpOkvir SIZE du,bb ACCELKEY xbeK_F5   ;
   ACTION {|a,b,o| ;
           selectcolorbutton(o,getlist) ,;
           grupa_5(o,GETLIST)};
   CARGO {qq5,5,coba} TOOLTIP " grupa 5 ";
   CURSOR CUR SELECTENABLE SELECTCOLOR co1,co5 ;
   OUTLINE COLOR co1,co2 CLICKCOLOR co3,co4 FONT fo1 OBJECT o5

//============================ 6

 @ x1,y1+du*5 DCPUSHBUTTONXP CAPTION qq6;
   PARENT bmpOkvir SIZE du,bb ACCELKEY xbeK_F6   ;
   ACTION {|a,b,o| ;
           selectcolorbutton(o,getlist) ,;
           grupa_6(o,GETLIST)};
   CARGO {qq6,6,coba} TOOLTIP " grupa 6 ";
   CURSOR CUR SELECTENABLE SELECTCOLOR co1,co5;
   OUTLINE COLOR co1,co2 CLICKCOLOR co3,co4 FONT fo1 OBJECT o6

//============================ 7

 @ x1,y1+du*6 DCPUSHBUTTONXP CAPTION qq7 ;
   PARENT bmpOkvir SIZE du,bb ACCELKEY xbeK_F7   ;
   ACTION {|a,b,o| ;
           selectcolorbutton(o,getlist) ,;
           grupa_7(o,GETLIST)};
   CARGO {qq7,7,coba} TOOLTIP " grupa 7 ";
   CURSOR CUR SELECTENABLE SELECTCOLOR co1,co5 ; // SELECTED;  // selektovana po defaultu CRVENO
   OUTLINE COLOR co1,co2 CLICKCOLOR co3,co4 FONT fo1 OBJECT o7

//============================ 8

 @ x1,y1+du*7 DCPUSHBUTTONXP CAPTION qq8 ;
   PARENT bmpOkvir SIZE du,bb ACCELKEY xbeK_F8   ;
   ACTION {|a,b,o| ;
           selectcolorbutton(o,getlist) ,;
           grupa_8(o,GETLIST)};
   CARGO {qq8,8,coba} TOOLTIP " grupa 8 ";
   CURSOR CUR SELECTENABLE SELECTCOLOR co1,co5 ; // SELECTED;  // selektovana po defaultu CRVENO
   OUTLINE COLOR co1,co2 CLICKCOLOR co3,co4 FONT fo1 OBJECT o8

//============================

//--------------------------------------------------------
// T O O L B A R  -  P R V I  R E D
//--------------------------------------------------------






//--------------------------------------------------------
// T O O L B A R  -  D R U G I  R E D
//--------------------------------------------------------

 x1:= x1+3

//============================ 9

 @ x1,y1 DCPUSHBUTTONXP CAPTION qq9 ;
   PARENT bmpOkvir SIZE du,bb ACCELKEY xbeK_F9   ;
   ACTION {|a,b,o| ;
           selectcolorbutton(o,getlist) ,;
           grupa_9(o,GetList)};
   CARGO {qq9,9,coba} TOOLTIP " grupa 9 ";
   CURSOR CUR SELECTENABLE SELECTCOLOR co1,co5 ;
   OUTLINE COLOR co1,co2 CLICKCOLOR co3,co4 FONT fo1 OBJECT o9

//============================ 10

 @ x1,y1+du*1 DCPUSHBUTTONXP CAPTION qq10 ;
   PARENT bmpOkvir SIZE du,bb ACCELKEY xbeK_F10   ;
   ACTION {|a,b,o| ;
           selectcolorbutton(o,getlist) ,;
           grupa_10(o,GetList)};
   CARGO {qq10,10,coba} TOOLTIP " grupa 10 ";
   CURSOR CUR SELECTENABLE SELECTCOLOR co1,co5 ;
   OUTLINE COLOR co1,co2 CLICKCOLOR co3,co4 FONT fo1 OBJECT o10

//============================ 11

 @ x1,y1+du*2 DCPUSHBUTTONXP CAPTION qq11 ;
   PARENT bmpOkvir SIZE du,bb ACCELKEY xbeK_F11   ;
   ACTION {|a,b,o| ;
           selectcolorbutton(o,getlist) ,;
           grupa_11(o,GetList)};
   CARGO {qq11,11,coba} TOOLTIP " grupa 11 ";
   CURSOR CUR SELECTENABLE SELECTCOLOR co1,co5 ;
   OUTLINE COLOR co1,co2 CLICKCOLOR co3,co4 FONT fo1  OBJECT o11

//============================ 12

 @ x1,y1+du*3 DCPUSHBUTTONXP CAPTION qq12 ;
   PARENT bmpOkvir SIZE du,bb ACCELKEY xbeK_F12   ;
   ACTION {|a,b,o| ;
           selectcolorbutton(o,getlist) ,;
           grupa_12(o,GetList)};
   CARGO {qq12,12,coba} TOOLTIP " grupa 12 ";
   CURSOR CUR SELECTENABLE SELECTCOLOR co1,co5 ;
   OUTLINE COLOR co1,co2 CLICKCOLOR co3,co4 FONT fo1  OBJECT o12

//============================ 13

 @ x1,y1+du*4 DCPUSHBUTTONXP CAPTION qq13 ;
   PARENT bmpOkvir SIZE du,bb ACCELKEY asc("3")  ;
   ACTION {|a,b,o| ;
           selectcolorbutton(o,getlist) ,;
           grupa_13(o,GetList)};
   CARGO {qq13,13,coba} TOOLTIP " grupa 13 ";
   CURSOR CUR SELECTENABLE SELECTCOLOR co1,co5 ;
   OUTLINE COLOR co1,co2 CLICKCOLOR co3,co4 FONT fo1 OBJECT o13

//============================ 14

 @ x1,y1+du*5 DCPUSHBUTTONXP CAPTION qq14 ;
   PARENT bmpOkvir SIZE du,bb ACCELKEY asc("4") ;
   ACTION {|a,b,o| ;
           selectcolorbutton(o,getlist) ,;
           grupa_14(o,GetList)};
   CARGO {qq14,14,coba} TOOLTIP " grupa 14 ";
   CURSOR CUR SELECTENABLE SELECTCOLOR co1,co5 ;
   OUTLINE COLOR co1,co2 CLICKCOLOR co3,co4 FONT fo1 OBJECT o14

//============================ 15

 @ x1,y1+du*6 DCPUSHBUTTONXP CAPTION qq15 ;
   PARENT bmpOkvir SIZE du,bb ACCELKEY asc("5") ;
   ACTION {|a,b,o| ;
           selectcolorbutton(o,getlist) ,;
           grupa_15(o,GetList)};
   CARGO {qq15,15,coba} TOOLTIP " grupa 15 ";
   CURSOR CUR SELECTENABLE SELECTCOLOR co1,co5  ;
   OUTLINE COLOR co1,co2 CLICKCOLOR co3,co4 FONT fo1 OBJECT o15

//============================ 16

 @ x1,y1+du*7 DCPUSHBUTTONXP CAPTION qq16 ;
   PARENT bmpOkvir SIZE du,bb ACCELKEY asc("6") ;
   ACTION {|a,b,o| ;
           selectcolorbutton(o,getlist) ,;
           grupa_16(o,GetList)};  //           PostAppEvent(xbeP_Keyboard,xbeK_TAB,,oDlgSto) } ;
   CARGO {qq16,16,coba} TOOLTIP " grupa 16 ";
   CURSOR CUR SELECTENABLE SELECTCOLOR co1,co5 ;
   OUTLINE COLOR co1,co2 CLICKCOLOR co3,co4 FONT fo1 OBJECT o16

* PostAppEvent(xbeP_Activate,xbeM_LbDown,,ooDlg)

//--------------------------------------------------------
// T O O L B A R  -  D R U G I  R E D
//--------------------------------------------------------


***************************************************************************
*                         "BUTTONS GORNJI TOOLBAR 2 ROWS"
***************************************************************************
//msgbox("ooo")
RETURN NIL





*************************************************************************
STATIC FUNCTION selectcolorbutton(o,getlist)
*************************************************************************
/*
  kad se na screen dugme klikne miem xbeM_LbDown tada radi SELECTENABLE
  i screen dugme postane SELECTED pa promeni boju u SELECTCOLOR co1,co5

  ali kad se na tastaturi klikne na keyboard dugme ACCELKEY xbeK_F1 koje
  odgovara tom screen dugmetu, opcija SELECTED ne radi i screen dugme se
  ne postavi kao SELECTED i ne promeni boju u SELECTCOLOR co1,co5

  Nisam uspeo ovo da reim pomou PostAppEvent() i event()
  Reio sam ga na primitivan nain:

   when the screen button is clicked with the mouse xbeM_LbDown then SELECTENABLE works
   and the screen button becomes SELECTED and changes color to SELECTCOLOR co1,co5

   but when the ACCELKEY xbeK_F1 keyboard button is clicked on the keyboard which
   corresponds to that screen button, the SELECTED option does not work and the screen button
   do not set as SELECTED and do not change the color to SELECTCOLOR co1,co5

   I have not been able to solve this using PostAppEvent() and event()
   I solved it in a primitive way:

*/


// na svakom dugmetu ukini SELECTED (crvena boja)
o1:SELECTED := .F. ; setappfocus(o1) ; dc_getrefresh(o1)
o2:SELECTED := .F. ; setappfocus(o2) ; dc_getrefresh(o2)
o3:SELECTED := .F. ; setappfocus(o3) ; dc_getrefresh(o3)
o4:SELECTED := .F. ; setappfocus(o4) ; dc_getrefresh(o4)
o5:SELECTED := .F. ; setappfocus(o5) ; dc_getrefresh(o5)
o6:SELECTED := .F. ; setappfocus(o6) ; dc_getrefresh(o6)
o7:SELECTED := .F. ; setappfocus(o7) ; dc_getrefresh(o7)
o8:SELECTED := .F. ; setappfocus(o8) ; dc_getrefresh(o8)


o9:SELECTED  := .F. ; setappfocus(o9)  ; dc_getrefresh(o9)
o10:SELECTED := .F. ; setappfocus(o10) ; dc_getrefresh(o10)
o11:SELECTED := .F. ; setappfocus(o11) ; dc_getrefresh(o11)
o12:SELECTED := .F. ; setappfocus(o12) ; dc_getrefresh(o12)
o13:SELECTED := .F. ; setappfocus(o13) ; dc_getrefresh(o13)
o14:SELECTED := .F. ; setappfocus(o14) ; dc_getrefresh(o14)
o15:SELECTED := .F. ; setappfocus(o15) ; dc_getrefresh(o15)
o16:SELECTED := .F. ; setappfocus(o16) ; dc_getrefresh(o16)

// na ovo dugme postavi SELECTED (crvena boja)
// o4:SELECTED := .F. ; dc_getrefresh(o4)

setappfocus(o)
o:SELECTED := .T.
dc_getrefresh(o)
setappfocus(o)

* PostAppEvent(xbeP_Activate,xbeM_LbClick,,o)
* PostAppEvent(xbeP_Selected,,,o)
* PostAppEvent(xbeP_SetInputFocus,,,o)
* o:SetInputFocus := .t.


// PostAppEvent(xbeP_Keyboard,xbeK_ESC,,ooDlg)
// CLEAR TYPEAHEAD
RETURN NIL






***************************************************************************
FUNCTION grupa_1(o,GetList) // F1
***************************************************************************
LOCAL a := o:cargo[3] // {qqn,n,coba}
 __sifarnik_artikala_GRUPE("1",a[1])
RETURN NIL

***************************************************************************
FUNCTION grupa_2(o,GetList) // F2
***************************************************************************
LOCAL a := o:cargo[3] // {qqn,n,coba}
 __sifarnik_artikala_GRUPE("2",a[1])
RETURN NIL

***************************************************************************
FUNCTION grupa_3(o,GetList) // F3
***************************************************************************
LOCAL a := o:cargo[3] // {qqn,n,coba}
 __sifarnik_artikala_GRUPE("3",a[1])
RETURN NIL
***************************************************************************
FUNCTION grupa_4(o,GetList) // F4
***************************************************************************
LOCAL a := o:cargo[3] // {qqn,n,coba}
 __sifarnik_artikala_GRUPE("4",a[1])
RETURN NIL

***************************************************************************
FUNCTION grupa_5(o,GetList) // F5
***************************************************************************
LOCAL a := o:cargo[3] // {qqn,n,coba}
 __sifarnik_artikala_GRUPE("5",a[1])
RETURN NIL

***************************************************************************
FUNCTION grupa_6(o,GetList) // F6
***************************************************************************
LOCAL a := o:cargo[3] // {qqn,n,coba}
 __sifarnik_artikala_GRUPE("6",a[1])
RETURN NIL

***************************************************************************
FUNCTION grupa_7(o,GetList) // F7
***************************************************************************
LOCAL a := o:cargo[3] // {qqn,n,coba}
 __sifarnik_artikala_GRUPE("7",a[1])
RETURN NIL

***************************************************************************
FUNCTION grupa_8(o,GetList) // F8
***************************************************************************
LOCAL a := o:cargo[3] // {qqn,n,coba}  // CARGO {"ROTILJ",8,"coba"}
 __sifarnik_artikala_GRUPE("8",a[1])
RETURN NIL



***************************************************************************
FUNCTION grupa_9(o,GetList) // F9
***************************************************************************
LOCAL a := o:cargo[3] // {qqn,n,coba}
 __sifarnik_artikala_GRUPE("9",a[1])
RETURN NIL


***************************************************************************
FUNCTION grupa_10(o,GetList) // F10
***************************************************************************
LOCAL a := o:cargo[3] // {qqn,n,coba}
 __sifarnik_artikala_GRUPE("10",a[1])
RETURN NIL

***************************************************************************
FUNCTION grupa_11(o,GetList) // F11
***************************************************************************
LOCAL a := o:cargo[3] // {qqn,n,coba}
 __sifarnik_artikala_GRUPE("11",a[1])
RETURN NIL


***************************************************************************
FUNCTION grupa_12(o,GetList) // F12
***************************************************************************
LOCAL a := o:cargo[3] // {qqn,n,coba}
 __sifarnik_artikala_GRUPE("12",a[1])
RETURN NIL


***************************************************************************
FUNCTION grupa_13(o,GetList) // F13
***************************************************************************
LOCAL a := o:cargo[3] // {qqn,n,coba}
 __sifarnik_artikala_GRUPE("13",a[1])
RETURN NIL


***************************************************************************
FUNCTION grupa_14(o,GetList) // F14
***************************************************************************
LOCAL a := o:cargo[3] // {qqn,n,coba}
 __sifarnik_artikala_GRUPE("14",a[1])
RETURN NIL

***************************************************************************
FUNCTION grupa_15(o,GetList) // F15
***************************************************************************
LOCAL a := o:cargo[3] // {qqn,n,coba}
 __sifarnik_artikala_GRUPE("15",a[1])
RETURN NIL

***************************************************************************
FUNCTION grupa_16(o,GetList) // F16
***************************************************************************
LOCAL a := o:cargo[3] // {qqn,n,coba}
 __sifarnik_artikala_GRUPE("16",a[1])
RETURN NIL
