//////////////////////////////////////////////////////////////////////////
//                                                                      //
//                                                                      //
//   STEALT_BUTTONS_UGOSTITELJ.PRG
//                                                                      //
//   11-11-2023                                                         //
//                                                                      //
//   www.cobasystems.com --- COBA Systems --- Slobodan Stanojevi Coba  //
//   Open Source Project BAST Business Account Software Technology      //
//   www.Alaska-Software.com --- Alaska Xbase++ version 2.0.1503        //
//   www.Donnay-software.com --- eXpress++      version 2.0.268         //
//   Sergej Spirin --- FastReport for Xbase++   version 27.03.2015      //
//                                                                      //
//   Database Server PostgreSQL                 version 9.4.4.          //
//                                                                      //
//                                                                      //
//////////////////////////////////////////////////////////////////////////



#include "Appevent.ch"
#include "Common.ch"
#include "Xbp.ch"
#include "XBTSYS.CH"
#INCLUDE "DCDIALOG.CH"



* Funkcija se poziva iz komandnog ekrana
* i aktivira DCHOTKEY komandne tastere za komandni ekran
* Ovaj PRG modul se koristi u:
*    KASA_UGOSTITELJ.EXE


*##########################################################################

 FUNCTION STEALT_BUTTONS_UGOSTITELJ2(GetList)

*##########################################################################

* Ova funkcija samo formira PUBLIC stealttxt2 (help tekst) i prikazuje ga
* pozivom funkcije stealthelptxt(stealttxt2) koja se takoe nalazi ovde.
* Funkcija STEALT_BUTTONS_UGOSTITELJ2() se iz aplikacije aktivira klikom na
* DCHOTKEY taster [CTRL][F1] koji je postavljen u aplikaciji

PUBLIC stealttxtracun := "" // inae ga ne prima c__procitaj(stealttxt)
TEXT INTO stealttxtracun WRAP  // cr //TRIMMED
KOMANDE SA TASTERIMA NA TASTATURI (Shortcuts Keys)
R A  U N  S T O L A
[ENTER]    Selektuj DA/NE izabranu stavku na raunu
[Q]        Deselektuj sve stavke na raunu
[ALT]+[Q]  Selektuj sve stavke na raunu
Samo deselektovane stavke se tampaju i fiskalizuju
[SPACE]    Upis artikla u raun upisom ifre artikla
[+]        tampa fiskalnog rauna
[-]        tampa kasabloka - nije fiskalni raun
[R]        Vidi raun stola u tekst editoru
[N]        tampa naloga anku i kuhinji
[CTRL]+[S] Vidi tekst naloga anku
[CTRL]+[K] Vidi tekst naloga kuhinji
[Z]        Zahtev za kuhinju na nalogu kuhinji
[*]        tampa A4 propratni raun LASER/PDF
[CTRL]+[F] Podeavanje parametara za eFakturu
[ALT]+[F]  tampa A4 zahtev i alje eFakturu na SEF
[TAB]      Promeni koliinu artikla
[C]        Promeni cenu artikla
[DELETE]   Obrii stavku artikla iz rauna
[F11]      Poalji raun na drugi sto
[F12]      Obrii sve stavke artikala iz rauna
[1] Plaeno gotovinski [2] Plaeno na raun
[3] Plaeno vauerom   [4] Plaeno bezgotovinski
ENDTEXT

PUBLIC stealttxtENGracun := "" // inae ga ne prima c__procitaj(stealttxt)
TEXT INTO stealttxtENGracun WRAP  // cr //TRIMMED
COMMANDS WITH KEYS ON THE KEYBOARD (Shortcuts Keys)
BILL FOR RESTAURANT TABLE
[ENTER]    Marced YES/NO of selected item on account
[Q]        Unmark all items on the account
[ALT]+[Q]  Mark all items on the account
Only Unmarked items are printed and fiscalized
[SPACE]    Entry of the article into the account
           by entering the article code
[+]        Fiscal bill printout
[-]        Prints a non-fiscal bill
[R]        See the table bill in the text editor
[N]        Prints orders for the bar and kitchen
[CTRL]+[S] See the text of the bar order
[CTRL]+[K] See the text of the order to the kitchen
[Z]        Request for kitchen on order to kitchen
[*]        Print A4 accompanying invoice LASER/PDF
[CTRL]+[F] Setting parameters for eInvoice
[ALT]+[F]  Prints A4 request and sends eInvoice to SEF
[TAB]      Change the article quantity
[C]        Change the article price
[DELETE]   Delete item from article from account
[F11]      Send the bill to another table
[F12]      Delete all item from articles from account
[1] Paid in cash      [2] Paid on account
[3] Paid by voucher   [4] Paid cashless
ENDTEXT

****************************************************
stealthelptxtracun(stealttxtracun,stealttxtENGracun)
****************************************************

RETURN NIL
*************************************************************************
FUNCTION stealthelptxtracun(stealttxtracun,stealtxtENGracun)
*************************************************************************
LOCAL stealttxt1:="", qq:=0, txt:="" , cr:=chr(13)+chr(10), tekst:=""
stealttxt1:=strtran(stealttxtracun,cr,chr(59))
stealttxt1ENG:=strtran(stealttxtENGracun,cr,chr(59))
// c__procitaj(stealttxt,"HELP",,"VB"),;
qq := alertbox(,stealttxt1,{" OK ","PRINT"},,"STEALT TASTERI","VB",,3333)
qq := alertbox(,stealttxt1ENG,{" OK ","PRINT"},,"STEALT TASTERS","VB",,3333)
if qq=2

   txt:=ctxt()
   tekst := strtran(stealttxtracun,cr,cr+cr) +cr+cr +;
            strtran(stealttxtENGracun,cr,cr+cr)  // dupli razmak
   memowrit(txt,tekst)
   etxt2printer1(txt,60,1,,,10,1,14)  // BAZNEx.DLL


endif
RETURN NIL




*##########################################################################

 FUNCTION STEALT_BUTTONS_UGOSTITELJ1(GetList)

*##########################################################################

* ova funkcija samo formira PUBLIC stealttxt (help tekst) i postavlja
* u memoriju neke od DCHOTKEY tasterea i njihove funkcije-programe.
* Kasnije u toku izvrenja aplikacije klikom na DCHOTKEY taster koji je
* postavljen ovde, aktivira se njegova funkcija koja je postavljena ovde
* ili je postavljena u nekom drugom prg ili dll u aplikaciji.


PUBLIC stealttxt := "" // inae ga ne prima c__procitaj(stealttxt)
TEXT INTO stealttxt WRAP
KOMANDE SA TASTERIMA NA TASTATURI (Shortcuts Keys)
KOMANDNI EKRAN - GRUPE ARTIKALA U TOOLBARU
Tasteri od [F1] do [F12] i [3],[4],[5],[6]
otvaraju spisak grupa artikala od 1 do 12 od 13 do 16
za izbor artikla i prenos artikala u raun stola

KOMANDNI EKRAN - SLIKA OBJEKTA SA STOLOVIMA
[Left-mouse-click]  Za izabrani sto otvara raun stola
[Right-mouse-click] Za izabrani sto daje prikaz rauna
[*]            tampa A4 propratni raun LASER/PDF
[CTRL]+[F]     Podeavanje parametara za eFakture
[ALT]+[F]      tampa A4 zahtev, alje XML eFakturu na SEF
[SHIFT]+[F1]   Prikaz lokacije programa i database
[SHIFT]+[F2]   Postavlja oznake [x] na stolove sa raunom
[SHIFT]+[F3]   Popis rauna iz aktuelnog dnevnog pazara
[SHIFT]+[F4]   Popis rauna za period od datuma do datuma
[SHIFT]+[F5]   Ukljuuje virtuelnu tastaturu
[SHIFT]+[F6]   Upotreba stealt rauna (stealt stolova)
[CTRL]+[F1]    Ovaj Help za preice - tastere na tastaturi
[CTRL]+[F2]    Dokumentacija i Uputstva za rad
[CTRL]+[F3]    Dodatne operacije u kasi (meni)
[CTRL]+[F12]   Lokalna Arhiva LPFR Fiskalnih rauna
[CTRL]+[P]     Promena kasira ili konobara
[+][-]         FullScreen/NoFullscreen
[.]            LogoON/LogoOFF
KOMANDNI EKRAN - KOMANDNA DUGMAD U STATUSBARU
[CTRL]+[A]     Registar artikala kase dodavanje-brisanje
[CTRL]+[G]     ifarnik za razvrstavanje artikala u grupe
[CTRL]+[H]     Help programa
[CTRL]+[X]     Izlaz iz programa
ENDTEXT

PUBLIC stealttxtENG := "" // inae ga ne prima c__procitaj(stealttxt)
TEXT INTO stealttxtENG WRAP
COMMANDS WITH KEYS ON THE KEYBOARD (Shortcuts Keys)
COMMAND SCREEN - GROUPS OF ARTICLES IN TOOLBAR
Keyboard keys from [F1] to [F12] and [3],[4],[5],[6]
open list of groups of articles from 1 to 12 from 13 to 16
for article selection and article transfer to table account

COMMAND SCREEN - PICTURE OF OBJECT WITH TABLES
[Left-mouse-click]  Opens a table account for selected table
[Right-mouse-click] Displays the account for selected table
[*]            prints A4 accompanying invoice LASER/PDF
[CTRL]+[F]     Setting parameters for electronic invoices
[ALT]+[F]      Prints A4 request, sends XML eInvoice to SEF
[SHIFT]+[F1]   Displaying location of programs and databases
[SHIFT]+[F2]   Places [x] marks on tables with the bill
[SHIFT]+[F3]   List of bils from the current daily sales
[SHIFT]+[F4]   List of bils for the date-to-date period
[SHIFT]+[F5]   Activates the virtual keyboard
[SHIFT]+[F6]   Use of stealth accounts (stealth tables)
[CTRL]+[F1]    Help program
[CTRL]+[F2]    Documentation and Work Instructions
[CTRL]+[F3]    Additional operations in cash register(menu)
[CTRL]+[F12]   Local Archive of LPFR Fiscal Bills
[CTRL]+[P]     Change of cashier or waiter
[+][-]         FullScreen/NoFullscreen
[.]            LogoON/LogoOFF
COMMAND SCREEN - COMMAND BUTTON IN STATUSBAR
[CTRL]+[A]     Register articles of cashregister add-delete
[CTRL]+[G]     Codebook for classifying articles into groups
[CTRL]+[H]     Help program
[CTRL]+[X]     Exit program
ENDTEXT

**************************************
stealthelptxt(stealttxt,stealttxtENG) // ovde
**************************************

RETURN NIL


*************************************************************************
FUNCTION stealthelptxt(stealttxt,stealtxtENG)
*************************************************************************
LOCAL stealttxt1:="", qq:=0, txt:="" , cr:=chr(13)+chr(10), tekst:=""
stealttxt1:=strtran(stealttxt,cr,chr(59))
stealttxt1ENG:=strtran(stealttxtENG,cr,chr(59))
// c__procitaj(stealttxt,"HELP",,"VB"),;
qq := alertbox(,stealttxt1,{" OK ","PRINT"},,"STEALT TASTERI","VB",,3333)
qq := alertbox(,stealttxt1ENG,{" OK ","PRINT"},,"STEALT TASTERS","VB",,3333)
if qq=2

   txt:=ctxt()
   tekst := strtran(stealttxt,cr,cr+cr) +cr+cr +;
            strtran(stealttxtENG,cr,cr+cr)  // dupli razmak
   memowrit(txt,tekst)
   etxt2printer1(txt,60,1,,,10,1,14)  // BAZNEx.DLL


endif
RETURN NIL

 * eWINDOS_stampa(TXTfile,nBrojRedova,;
 * nOrjentacija,cH,cF,nLM,nPR)
 * PRIVATE cPrinterFileName - naziv PDF fajla

 * etxt2printer1 (TXTfajl,nBrojRedova,;
 * nOrjentacija,cH,cF,nLM,nPR,nFont)

 * prikaz txt fajla txt u Fast Report generatoru
 * font_name := "Consolas"
 * font_size := 11
 * PL        := "P"  // P=Portrait, L=Landscape
 * PS        := 1    // 1=Pregled,  2=Stampa
 * ****************************************************** // ASCII TXT fajl
 * eTxtFile2FastReport(txt,,PS,font_name,font_size,PL )   // FR pregled/stampa
 * ****************************************************** // BAZNEX.DLL


















/*

 ARHIVA_FISKALNIH_RACUNA_2022.PRG

 preuzeto iz ARHIVA_KASABLOKOVA_DNEVNOG_PAZARA.PRG - KASA_ARHIVA.EXE
             i dopunjeno i preraeno

 07-05-2022



*/
/*
f12 = 65659
f11 = 65658
f10 = 65657
f9  = 65656
f8  = 65655
f7  = 65654
f6  = 65653
f5  = 65652
f4  = 65651
f3  = 65650
f2  = 65649
f1  = 65648
*/
// make sure to link the correct libraries
// #pragma Library( "XppUI2.LIB" )
// #pragma Library( "Adac20b.lib" )

*#include "Appevent.ch"
*#include "Common.ch"
*#include "Xbp.ch"

*#INCLUDE "DCDIALOG.CH"




* poziva se iz KASA_PRODAJA.EXE i KASA_TOUCH.EXE
***************************************************************************
FUNCTION _ARHIVA_FISKALNIH_RACUNA_2022()
***************************************************************************

* koristi se iz prethodnog programa:
* PUBLIC FAKTURA
* PUBLIC PFRbr
* PUBLIC PFRti

LOCAL radno:=SELECT()


LOCAL Xrbroj:="",XFull:="",Xnn:=0,Xbr:=""
LOCAL BRJ0,DAT0,BRJ1,DAT1,VAL1,MAGS,pomocna:=gde_tmp("po"), xF1


 STOP("BLOCKED",1);RETURN NIL //******************************************************************** STOP


Xrbroj := eUPIS0("        ","Raun iz arhive","Redni broj 1,2,3...|fiskalnog rauna")
// stop(Xrbroj,1)
Xrbroj:=alltrim(Xrbroj) // traeni PFR redni broj
IF EMPTY(Xrbroj)
   RETURN .F.
ENDIF

 //=================
 // FAJL (KASA_STAV)   ARHIVA FISKALNIH RAUNA
 //=================
    // PREUZMI IZ ARHIVE (KASA_STAV) FISKALNIH RAUNA
    // RAUN SA ZADATIM BROJEM PFRbroj U TMP DBF (FAKTURA)
    USE (KASA_STAV) NEW SHARED ALIAS "ARHIVA"
    IF NETERR()
       S_NET("Arhiva izdatih fiskalnih rauna")
       RETURN NIL
    ENDIF
    GO TOP
 // Nai Koji se PFR brojevi koriste kod ove kase:
    XFull := alltrim(BRJ1_)                // K8HQW57U-K8HQW57U-589
    Xnn   := RAT("-",XFull)                //                  -
    Xbr   := ALLTRIM(SUBSTR(XFull,1,Xnn))  // K8HQW57U-K8HQW57U-
 // formiraj PFR full broj za traeni PFR redni broj
    XFull := Xbr+Xrbroj                    // K8HQW57U-K8HQW57U-591


   *** stop(BRJ1_,XFull,1)


    GO TOP

    LOCATE FOR ALLTRIM(BRJ1_) == ALLTRIM(XFull)

    IF FOUND()==.F.
          SELECT "ARHIVA";USE
          SELECT(radno)
          C__GRESKA("Ne postoji Fiskalni Raun broj:   "+Xrbroj + chr(59)+;
                    "PFR:  "+XFull                         + chr(59)+;
                    "","STOP",,"G3")
          RETURN .F.
    ENDIF

    ********************************************************
    ec_p()
    PUBLIC FR := GDE_TMP("FR")
    COPY ALL TO (FR) FOR ALLTRIM(BRJ1_)==ALLTRIM(XFull)
    ec_k()
    ********************************************************
    SELECT "ARHIVA";USE
    SELECT(radno)
    ****************************************
    _ARHIVA_FISKALNIH_RACUNA_2022_RACUN(FR)
    ****************************************

SELECT(radno)
RETURN .T.



****************************************************************************
STATIC FUNCTION _ARHIVA_FISKALNIH_RACUNA_2022_RACUN(FR)
****************************************************************************




* --- PRODAJA_VRSTA_RACUNA_TRANSAKCIJA.PRG KASA_PRODAJA.EXE ---  11-03-2022
* RAC1_ "PP" ; RAC2_ ="PROMET PRODAJA"
* IF AT(RAC1_,"PP,AP,PR,AR") > 0
*    FNR := "F" // FISKALNI RAUNI   ZNAK_ ="F"
* ELSE
*    FNR := "N" // NEFISKALNI RAUNI ZNAK_ ="N"
* ENDIF
* --- PRODAJA_VRSTA_RACUNA_TRANSAKCIJA.PRG KASA_PRODAJA.EXE ---  11-03-2022




LOCAL radno := SELECT()
LOCAL txt := ctxt()



       USE (FR) NEW EXCLUSIVE ALIAS "FR"
       IF NetErr()
          S_NET()
          RETURN NIL
       ENDIF

       GO TOP
                IF ZNAK_="F"
                   koji_racun := "F I S K A L N I"
                ELSE
                   koji_racun := "N E F I S K A L N I"
                ENDIF


                DELETE FILE (txt)
                SET PRINTER TO (txt)
                SET PRINT ON
                SET CONSOLE OFF
                SET MARGIN TO 2

                FIRMA=SUBSTR(P_NAZIV+SPACE(60),1,39)
                ?  FIRMA
                ? " "
                ? "ARHIVSKI RAUN ESIR POS KASE FISKALIZOVAN-POTPISAN PREKO FPR"
                ? "(Dokument iz Arhive fiskalnih i nefiskalnih rauna POS kase)"
                ? " "
                ? koji_racun+"  R A  U N"
                ? RAC1_+" "+alltrim(RAC2_) +"  [ UID "+alltrim(UUID_)+" ]"
                ? " "
                ? "POS broj: "+padr(BRJ0_,26)+"   POS datum: "+DTOC(DAT0_)
                ? "PFR broj: "+padr(BRJ1_,26)+"   PFR vreme: "+alltrim(DAT1_)
                ? "REF broj: "+padr(BRJ2_,26)+"   REF vreme: "+alltrim(DAT2_)
                ? "KUPAC ID: "+padr(KUP1_,26)+"   KUPAC OP : "+alltrim(KUP2_)
                ? " "

                zbir_racuna := 0
                crta := replicate("-",83)

                DO WHILE .NOT. EOF() // ALLTRIM(BRJ0_) == ALLTRIM(BRJ0) .AND. EOF()=.F.

                        cPos := ALLTRIM(STR(KOLI_))
                        nPos := AT( ".", cPos )
                        cDec := SUBSTR(cPos,nPos+1,3)

                        IF VAL(cDec) = 0 // nema decimala
                           KOLI  := ROUND(KOLI_,0)
                           cKOLI := STR(KOLI,10,0)
                        ELSE
                           KOLI  := ROUND(KOLI_,3)
                           cKOLI := STR(KOLI,10,3)
                        ENDIF

                        ? crta
                        ? ROBS_+" "+PADR(ROBN_,25)+" "+MERA_+" "+cKOLI+" x "+;
                          TRANSFORM(CENA_MPR_,"99,999,999.99")+" = "+;
                          TRANSFORM(VRED_MPR_,"999,999,999,999.99")


                        zbir_racuna := zbir_racuna + VRED_MPR_

                        xMAGS:=MAGS_
                        xOPST:=OPST_
                        xKSIR:=KSIR_
                        xESIR:=ESIR_

                SKIP
                ENDDO


               GO TOP

               ? crta
               ? space(50)+"SVEGA        "+TRANSFORM(zbir_racuna,"9,999,999,999,999.99")


               ? " "  // 07-05-2022
               ? "NAIN PLAANJA"
               IF GOT_ <> 0
               ? "GOTOVINA        : "+TRANSFORM(GOT_,"999,999,999,999.99")
               ENDIF
               IF KAR_ <> 0
               ? "KARTICA         : "+TRANSFORM(KAR_,"999,999,999,999.99")
               ENDIF
               IF CEK_ <> 0
               ? "EKOVI          : "+TRANSFORM(CEK_,"999,999,999,999.99")
               ENDIF
               IF INS_ <> 0
               ? "INSTANT         : "+TRANSFORM(INS_,"999,999,999,999.99")
               ENDIF
               IF VAU_ <> 0
               ? "VAUER          : "+TRANSFORM(VAU_,"999,999,999,999.99")
               ENDIF
               IF BOT_ <> 0
               ? "BEZGOTOVINSKI   : "+TRANSFORM(BOT_,"999,999,999,999.99")
               ENDIF
               IF NAL_ <> 0
               ? "PRENOS NA RAUN : "+TRANSFORM(NAL_,"999,999,999,999.99")
               ENDIF
               ? " "  // 07-05-2022

               ? "Prodajni objekat: "+xMAGS
               ? "Broj POS kase   : "+xOPST
               ? "Kasir           : "+xKSIR
               ? "ESIR            : "+xESIR
               ? " "

               SELECT "FR";USE

                SET MARGIN TO 0
                SET PRINTER TO
                SET PRINT OFF
                SET CONSOLE ON
               *** NO2(txt,100)


SELECT(radno)

  *******************************************
  off := Font_codepage(10,"Consolas",238,.f.)
  C_EDIT(Txt,;
  "ARHIVSKI FISKALNI RAUN ESIR POS KASE",;
  "R A  U N ",,,,,,off) // baznex.dll
  *******************************************
  CLEAR TYPEAHEAD

RETURN NIL







