//////////////////////////////////////////////////////////////////////////
//                                                                      //
//                                                                      //
//   command_buttons_and_tasters.prg
//                                                                      //
//   01-11-2023                                                         //
//                                                                      //
//   www.cobasystems.com --- COBA Systems --- Slobodan Stanojevi Coba  //
//   Open Source Project BAST Business Account Software Technology      //
//   www.Alaska-Software.com --- Alaska Xbase++ version 2.0.1503        //
//   www.Donnay-software.com --- eXpress++      version 2.0.268         //
//   Sergej Spirin --- FastReport for Xbase++   version 27.03.2015      //
//                                                                      //
//   Database Server PostgreSQL                 version 9.4.4.          //
//                                                                      //
//                                                                      //
//////////////////////////////////////////////////////////////////////////




* ----------------------------------------
* 1_KASA_stolovi_screen.prg  -  interface
* ----------------------------------------
* klikom na komandno dugme ili taster poziva se funkcija odavde
* a ova funkcija poziva operaciju koja se izvrava
* ---
* clicking on the command button or key calls the function from here
* and this function calls the operation being executed
* ---


***************************************************************************  START
*                   "DONJI TOOLBAR"  "BOTTOM TOOLBAR"
***************************************************************************

* [CTRL][A]
*************************************************************************
FUNCTION artikli_u_kasi()
*************************************************************************
 ARTICLES_GROUP("all") // __ARTICLES_GROUP.PRG
RETURN NIL

* [CTRL][G]
*************************************************************************
FUNCTION grupe_artikala(cObjekat_Kase)
*************************************************************************
 ARTICLES_GROUP("group") // __ARTICLES_GROUP.PRG
RETURN NIL

* [CTRL][H]  * [CTRL][F1]
*************************************************************************
FUNCTION help__kasa_stolovi_screen()
*************************************************************************
* main program calls function:
* STEALT_BUTTONS_UGOSTITELJ1(GetList) // STEALT_BUTTONS_UGOSTITELJ.PRG

 STEALT_BUTTONS_UGOSTITELJ1(GetList)
* STEALT_BUTTONS_UGOSTITELJ.PRG
RETURN NIL

* [CTRL][X]
*************************************************************************
FUNCTION exit__prg()
*************************************************************************
* Dialog YES-NO and QUIT_QUIT()
EXIT_PRG()
* STEALT_BUTTONS_UGOSTITELJ.PRG
RETURN NIL

***************************************************************************
*                    "DONJI TOOLBAR"  "BOTTOM TOOLBAR"
*************************************************************************** END




*************************************************************************** START
*                           "STEALT BUTTONS"
***************************************************************************
* Blokiran je pristup funkcijama zbog testiranja baznog interfejsa programa
* Access to functions is blocked due to testing the basic interface of the program



* [CTRL]+[F3]
*************************************************************************
FUNCTION meni_dodatne_operacije(oDlg,GetList)
*************************************************************************
* DODATNE OPERACIJE U KASI (MENI)
* ADDITIONAL KASH REGISTER OPERATIONS (MENU)
 STOP("BLOCKED",1)
/*
 DCHOTKEY_TASTERS(oDlg,GetList)
*/
*  PRODAJA_KOMANDNI_EKRAN_DCHOTKEY_UGOSTITELJ.PRG
RETURN NIL


* [SHIFT]+[F1]
*************************************************************************
FUNCTION lokacija_prg_dbe()
*************************************************************************
* PRIKAZ LOKACIJE PROGRAMA I DATABASE
* SHOWING LOCATION OF PROGRAM AND DATABASE
* Lokacija_Programa_Database(0) }  // BAZNE.DLL,
  datumi_stop:=date()+1
  xc_program1()
  * BAZNE.DLL

  __pg__see(0)
  * C-PGDB.DLL

RETURN NIL


* [SHIFT]+[F2]
*************************************************************************
FUNCTION markiraj_zauzete_stolove()
*************************************************************************
* POSTAVI OZNAKU [X] NA SVAKI STO KOJI IMA STAVKE RAUNA
* PLACE AN [X] MARK ON EACH TABLE THAT HAS ACCOUNT ITEMS
// postavlja polje COK_ na .T. ili .F. kod svih stolova (u raun stola)
// ekirana/neekirana stavka rauna, a zatim restartuje aplikaciju
// sets COK_ field to .T. or .F. at all tables (to account of table)
// checked/unchecked account item and then restarts the app
  PROVERI_STOLOVE()
  * 3_KASA_tach_buttons_stolovi.prg
RETURN NIL


* [SHIFT]+[F3]
*************************************************************************
FUNCTION popis_racuna_iz_dnevnog_pazara()
*************************************************************************
* POPIS RAUNA IZ AKTUELNOG DNEVNOG PAZARA
* LIST OF ACCOUNTS FROM CURRENT DAILY SALES
 STOP("BLOCKED",1)
/*
  KASA_POPIS_RACUNA()
  * IZVESTAJ_POPIS_RACUNA.PRG
*/
RETURN NIL


* [SHIFT]+[F4]
*************************************************************************
FUNCTION popis_racuna_iz_perioda_pazara()
*************************************************************************
* POPIS RAUNA IZ ZADATOG PERIODA
* LIST OF ACCOUNTS FROM A GIVEN PERIOD DATE-TO-DATE
 STOP("BLOCKED",1)
/*
  KASA_POPIS_RACUNA(1)
  * IZVESTAJ_POPIS_RACUNA.PRG
*/
RETURN NIL


* [SHIFT]+[F5] UKLJUI VIRTUELNU TASTATURU
*************************************************************************
FUNCTION aktiviraj_virtuelnu_tastaturu()
*************************************************************************
* AKTIVIRAJ VIRTUELNU TASTATURU
* ACTIVATE THE VIRTUAL KEYBOARD
 STOP("BLOCKED",1)
/*
  tastatura()
  * 1_KASA_stolovi_screen.prg
*/
RETURN NIL




***************************************************************************
*                           "STEALT BUTTONS"
*************************************************************************** END







*** STEALT_BUTTONS_UGOSTITELJ.PRG ***



* svi programi za kasu
* [CTRL][F2]
* Dokumentacija i Uputstva za rad sa programom
* Documentation and Instructions for working with the program
*************************************************************************
FUNCTION documentation_and_instruction()
*************************************************************************
 DEMO_TXT_HLP() // 0_KASA_STOLOVI_GLAVNI()

 /*
 TXT_HLP()  // TXT_HELP.PRG
 */
RETURN NIL


* svi programi za kasu
* [CTRL][P]
* Promena kasira ili konobara
* Change of cashier or waiter
*************************************************************************
FUNCTION promena_kasira_konobara()
*************************************************************************
 *****************
 promena_kasira()  // __XKONOBAR_XKASIR.PRG
 *****************
RETURN NIL


* svi programi za kasu
* [CTRL][F12]
* FISKALNI RAUN IZ ARHIVE RAUNA PO ZADATOM REDNOM BROJU
* SA SVIM PODACIMA O RAUNU U C_EDIT() ZA PDF/LASER TAMPU
* ---
* FISCAL ACCOUNT FROM THE ACCOUNT ARCHIVE ACCORDING TO THE
* SPECIFIED SERIAL NUMBER WITH ALL INVOICE DATA IN C_EDIT()
* FOR PDF/LASER PRINTING
*************************************************************************
FUNCTION print_archived_fiscal_bill()
*************************************************************************
  STOP("BLOCKED",1)
/*
  _ARHIVA_FISKALNIH_RACUNA_2022() // ovde
*/
RETURN NIL



* activated from 1_KASA_stolovi_screen.prg
* poziva se desnim klikom mia na ikonu stola
* is activated by right-clicking on the table icon
*************************************************************************
FUNCTION vidi_racun_na_stolu(cFileStola)
*************************************************************************
  STOP("BLOCKED",1)
/*
  vidi_racun_stola(cFileStola) // KASA_RESTORAN_STOLOVI.PRG
*/
RETURN NIL





**************************************************************************
FUNCTION vidi_zbir_racuna_stola(oo,broj,GetList)
**************************************************************************
* stop(broj,oo:cargo[3],1)
cbroj:=oo:cargo[3,2]
cbroj:=var2char(cbroj)
_shetab_ := _she_+".x"+cbroj
* stop(_shetab_,1)

    cSQL:="SELECT VRED_MPR_, PPOD_, COK_ FROM "+_shetab_+";"
    oStmt   := DacSqlStatement():fromChar(cSQL)
    cAlias  := oStmt:build():query(,"STO")
    STO:=cAlias
    SELECT "STO"
    * APPBROWSE
    * APPDISPLAY
    SUM ALL VRED_MPR_, PPOD_ TO VRED_MPR, PPOD
    SUM ALL VRED_MPR_, PPOD_ TO VRED_MPR1, PPOD1 FOR COK_=.F.
    SUM ALL VRED_MPR_, PPOD_ TO VRED_MPR2, PPOD2 FOR COK_=.T.
    CLOSE STO

mas:="999,999,999.99"
c__procitaj(;
"ACCOUNT = "+TRANSFORM(VRED_MPR ,mas)  +chr(59)+;
"NOT CHK = "+TRANSFORM(VRED_MPR1,mas)  +chr(59)+;
"YES CHK = "+TRANSFORM(VRED_MPR2,mas)  +chr(59)+;
"","CONDITION | "+cbroj)
RETURN NIL
