//////////////////////////////////////////////////////////////////////////
//                                                                      //
//                                                                      //
//   command_buttons_racun_stola.prg
//                                                                      //
//   11-11-2023                                                         //
//                                                                      //
//   www.cobasystems.com --- COBA Systems --- Slobodan Stanojevi Coba  //
//   Open Source Project BAST Business Account Software Technology      //
//   www.Alaska-Software.com --- Alaska Xbase++ version 2.0.1503        //
//   www.Donnay-software.com --- eXpress++      version 2.0.268         //
//   Sergej Spirin --- FastReport for Xbase++   version 27.03.2015      //
//                                                                      //
//   Database Server PostgreSQL                 version 9.4.4.          //
//                                                                      //
//                                                                      //
//////////////////////////////////////////////////////////////////////////



#include "Appevent.ch"
#include "Common.ch"
#include "Xbp.ch"
#include "xbtsys.ch"
#INCLUDE "DCDIALOG.CH"


* ----------------------------------------------------
* 4_KASA_tach_buttons_stolovi_racuni.prg  -  interface
* ----------------------------------------------------
* klikom na komandno dugme ili taster poziva se funkcija odavde
* a ova funkcija poziva operaciju koja se izvrava
* ---
* clicking on the command button or key calls the function from here
* and this function calls the operation being executed
* ---


*** ROW 1 *** 4_KASA_tach_buttons_stolovi_racuni.prg


//----------------------------------------------------------------------
* PUBLIC kolicinu_promeni:=.T.
* [TAB] PROMENI KOLIINU U STAVCI U RAUNU ZA STO
* "Quantity;change"
FUNCTION bill_promeni_kolicinu(oDlg,oBrowse5,GetList)
 *** xkolicina(oDlg,oBrowse5,GetList) // 4_KASA_tach_buttons_stolovi_racuni.prg
 *** // koristi PUBLIC kolicinu_promeni:=.T. 4_KASA_tach_buttons_stolovi_racuni.prg

 *************************************
 dialogue_for_entering_quantity(ROBS_)  // __ARTIKAL_dodaj_na_sto.prg
 *************************************

RETURN NIL
//----------------------------------------------------------------------
* [DELETE] OBRII STAVKU IZ RAUNA ZA STO
* "Item; delete"
FUNCTION bill_obrisi_stavku(ccfile,oBrowse5) // 4_KASA_tach_buttons_stolovi_racuni.prg
 brisi(ccfile,oBrowse5)
RETURN NIL
//----------------------------------------------------------------------
* [F12] OBRII RAUN ZA STO
* "Account; delete" ACCELKEY xbeK_F12;
FUNCTION bill_obrisi_sve_stavke(oBrowse5) // 4_KASA_tach_buttons_stolovi_racuni.prg
 brisisve(oBrowse5)
 // brii sve stavke iz rauna
 // kasa_kash(o,GetList)
 // postavi plaanje na gotovinu
RETURN NIL
//----------------------------------------------------------------------
* [F11] POALJI RAUN NA DRUGI STO
* "Send;to table"
FUNCTION bill_posalji_na_drugisto(oBrowse5)
STOP("BLOCKED",0);RETURN NIL
/*
   RACUN_REKONSTRUKCIJA_STAVKI() // RACUN_REKONSTRUKCIJA_STAVKI.PRG
                                 // KASA_PRODAJA.EXE
                                 // REKONSTRUIE RAUN STOLA SELECT "STO"

   RACUN_TO_DRUGISTO(oBrowse5)   // 4_KASA_tach_buttons_stolovi_racuni_stampe.prg

   // posle ove funkcije:
   // DC_ReadGuiEvent(DCGUI_EXIT_OK,GetList)}
   // ZATVORI SOURCE RAUN STOLA - DA BI SE OTVORIO TARGET RAUN STOLA
*/

//----------------------------------------------------------------------



*** ROW 2 *** 4_KASA_tach_buttons_stolovi_racuni.prg



//----------------------------------------------------------------------
* "VRSTA;RAUNA"
* "TYPE;ACCOUNT"
FUNCTION bill_type()
STOP("BLOCKED",0);RETURN NIL
/*
 __Vrsta_Racuna_Transakcija() // 4_KASA_tach_buttons_stolovi_racuni_stampe.prg
*/
RETURN NIL
//----------------------------------------------------------------------

//----------------------------------------------------------------------
* "KUPAC;VEZA"
* "BUYER;CONNECTION"
FUNCTION bill_buyer()
STOP("BLOCKED",0);RETURN NIL
/*
__Kasir_Kupac_Veza()   // 4_KASA_tach_buttons_stolovi_racuni_stampe.prg
*/
RETURN NIL
//----------------------------------------------------------------------

//----------------------------------------------------------------------
* "UPLATA;NA KASI"
* "PAYMENT;AT CASHIER"
FUNCTION bill_payment()
STOP("BLOCKED",0);RETURN NIL
/*
__KUSUR() // 4_KASA_tach_buttons_stolovi_racuni_stampe.prg
*/
RETURN NIL
//----------------------------------------------------------------------

//----------------------------------------------------------------------
* [+] TAMPAJ FISKALNI
* "FISKALNI RAUN"
* "FISCAL ACCOUNT"
FUNCTION bill_print_fiscal()
STOP("BLOCKED",0);RETURN NIL
/*
   RACUN_REKONSTRUKCIJA_STAVKI() // RACUN_REKONSTRUKCIJA_STAVKI.PRG
                                 // KASA_PRODAJA.EXE
                                 // REKONSTRUIE RAUN STOLA SELECT "STO"

   RACUN_TO_FISKALNI(oBrowse5)   // 4_KASA_tach_buttons_stolovi_racuni_stampe.prg
                                 // __BON_FISKALNI_PRINTERI_IZBOR("FISKALNI")
                                 // __BON_FISKALNI_PRINTERI_IZBOR.PRG - KASA_PRODAJA
*/
RETURN NIL
//----------------------------------------------------------------------

//----------------------------------------------------------------------
* [-] TAMPAJ NEFISKALNI
* "KASA BLOK"
* "CASH BLOCK"
FUNCTION bill_print_nofiscal()
STOP("BLOCKED",0);RETURN NIL
/*
 RACUN_REKONSTRUKCIJA_STAVKI() // RACUN_REKONSTRUKCIJA_STAVKI.PRG
                               // KASA_PRODAJA.EXE
                               // REKONSTRUIE RAUN STOLA SELECT "STO"

 RACUN_TO_NEFISKALNI(oBrowse5) // 4_KASA_tach_buttons_stolovi_racuni_stampe.prg
                               // tampaj NEFISKALNI iz "RACUN"
*/
RETURN NIL
//----------------------------------------------------------------------

//----------------------------------------------------------------------
* [N] TAMPAJ NALOG KUHINJI - I ANKU ISTOVREMENO
* "Nalog kuhinji;Nalog anku"
* "Kitchen order; Bar order"
FUNCTION bill_print_order()
STOP("BLOCKED",0);RETURN NIL
/*
 RACUN_TO_NALOGKUHINJISANKU(oBrowse5) // 4_KASA_tach_buttons_stolovi_racuni_stampe.prg
                                      // tampaj NALOG KUHINJI iz "RACUN"
*/
RETURN NIL
//----------------------------------------------------------------------

//----------------------------------------------------------------------
* [*] TAMPAJ FAKTURU-RAUN
* "Faktura;Propratni Raun"
* "Invoice; Accompanying"
FUNCTION bill_print_invoice()
STOP("BLOCKED",0);RETURN NIL
/*
  RACUN_TO_pFAKTURA()
                      // poziva: KUPCI_STAMPAJ_RACUN(.F.)
                      // napravi pregled PDF za FAKTURU iz "RACUN"
*/
RETURN NIL
//----------------------------------------------------------------------

//----------------------------------------------------------------------
* [F1] HELP
* "?"
FUNCTION bill_help()
  STEALT_BUTTONS_UGOSTITELJ2(GetList) // STEALT_BUTTONS_UGOSTITELJ.PRG
RETURN NIL
//----------------------------------------------------------------------

//----------------------------------------------------------------------
* [ESC] EXIT
* "X"
FUNCTION bill_exit()
/*
   RACUN_REKONSTRUKCIJA_STAVKI() // RACUN_REKONSTRUKCIJA_STAVKI.PRG
                                 // KASA_PRODAJA.EXE
                                 // REKONSTRUIE RAUN STOLA SELECT "STO"
   ooo:=NIL
*/
RETURN NIL
//----------------------------------------------------------------------





*** STEALT BUTTONS ***






* [Z] TEXT OF SPECIAL KITCHEN REQUEST
* [Z] TEKST POSEBNOG ZAHTEVA KUHINJI
*------------------------------------
FUNCTION bill_request_kitchen()
STOP("BLOCKED",0);RETURN NIL
/*
  zahtev_kuhinji()
*/
RETURN NIL


* [Q] DESELECT ALL ITEMS ON THE ACCOUNT  --- ONLY DESELECTED ITEMS ARE PRINTED AND COLLECTED
* [Q]  DESELEKTUJ SVE STAVKE NA RAUNU   --- TAMPAJU SE I SABIRAJU SE SAMO DESELEKTOVANE STAVKE
*-------------------------------------
FUNCTION bill_deselect_all()
  DESELEKTUJ_STAVKE_RACUNA(oBrowse5)
  // za sve stavke rauna COK_ postavi na .F.
RETURN NIL

* [ALT]+[Q] SELECT ALL ITEMS ON THE ACCOUNT
* [ALT]+[Q]  SELEKTUJ SVE STAVKE NA RAUNU
*-----------------------------------------
FUNCTION bill_select_all()
  SELEKTUJ_STAVKE_RACUNA(oBrowse5)
  // za sve stavke rauna COK_ postavi na .T.
RETURN NIL

* [C] CHANGE ITEM PRICE
* [C] PROMENI CENU ARTIKLA
*--------------------------------------
FUNCTION bill_price()
 *** xcena()
 *************************************
 dialogue_for_entering_price(ROBS_)  // __ARTIKAL_dodaj_na_sto.prg
 *************************************

RETURN NIL

* [R] SEE ACCOUNT IN TEXT EDITOR
* [R] VIDI RAUN U TEKST EDITORU
*--------------------------------------
FUNCTION bill_show_account()
STOP("BLOCKED",0);RETURN NIL
/*
 vidi_racun_stola1()  // KASA_RESTORAN_STOLOVI.PRG
 // prebaci stavke sa "STO" u "RACUN" i tampaj KASABLOK iz "RACUN"
*/
RETURN NIL

* [CTRL]+[S] SEE BAR ORDER TEXT
* [CTRL]+[S] VIDI TEKST NALOGA ANKU
*------------------------------------
FUNCTION bill_show_orderbar()
STOP("BLOCKED",0);RETURN NIL
* STO_TO_RACUN(oBrowse5) // 4_KASA_tach_buttons_stolovi_racuni_stampe.prg
* NE TREBA               // prebaci stavke sa "STO" u "RACUN"

/*
  RACUN_TO_SANKKUHINJA("SANK") // 4_KASA_tach_buttons_stolovi_racuni_stampe.prg
                               // tampaj NALOG ANKU iz "RACUN"
*/
RETURN NIL


* [CTRL]+[K] SEE KITCHEN ORDER TEXT
* [CTRL]+[K] VIDI TEKST NALOGA KUHINJI
*--------------------------------------
FUNCTION bill_show_orderkitchen()
STOP("BLOCKED",0);RETURN NIL
* STO_TO_RACUN(oBrowse5) // 4_KASA_tach_buttons_stolovi_racuni_stampe.prg
* NE TREBA               // prebaci stavke sa "STO" u "RACUN"
/*
  RACUN_TO_SANKKUHINJA("KUHINJA") // 4_KASA_tach_buttons_stolovi_racuni_stampe.prg
                                  // tampaj NALOG KUHINJI iz "RACUN"
*/
RETURN NIL


* [S] ENTER ITEM CODE
* [S] ZADAJ IFRU ARTIKLA
* izmenjeno u:
* [SPACE] ZADAJ IFRU ARTIKLA
*--------------------------------------
FUNCTION bill_article_code(ccfile)
 zadaj__sifru__artikla(ccfile) // __sifarnik_artikala_GRUPE.PRG
 // nai artikal po ifri i preuzmi ga u otvoreni raun stola
RETURN NIL







* STATIC FUNCTION SELEKTUJ_STAVKU_RACUNA(oBrowse5)   // [DBL LCLICK] [ENTER]
* STATIC FUNCTION DESELEKTUJ_STAVKE_RACUNA(oBrowse5) // [Q]
* STATIC FUNCTION SELEKTUJ_STAVKE_RACUNA(oBrowse5)   // [ALT][Q]





* [Q] DESELEKTUJ SVE STAVKE NA RAUNU
*************************************************************************
STATIC FUNCTION DESELEKTUJ_STAVKE_RACUNA(oBrowse5)
*************************************************************************
* REPLACE ALL STO->COK_ WITH .F.
* GO TOP
*---
cSQL := "UPDATE "+_shetab_+" SET COK_ = FALSE;"
oStmt := DacSqlStatement():fromChar(cSQL)
oStmt:build():execute()
************
SELECT "STO"
************
DBREFRESH()
oBrowse5:refreshall()
*---
RETURN NIL


* [ALT]+[Q] SELEKTUJ SVE STAVKE NA RAUNU 13-08-2020
*************************************************************************
STATIC FUNCTION SELEKTUJ_STAVKE_RACUNA(oBrowse5)
*************************************************************************
* REPLACE ALL STO->COK_ WITH .T.
* GO TOP
*---
cSQL := "UPDATE "+_shetab_+" SET COK_ = TRUE;"
oStmt := DacSqlStatement():fromChar(cSQL)
oStmt:build():execute()
************
SELECT "STO"
************
DBREFRESH()
oBrowse5:refreshall()
*---
RETURN NIL







* STATIC FUNCTION additem(ccfile,getlist,oBrowse5) // NOT-UPSIZE za biblioteku test koda
* STATIC FUNCTION brisi()       // NOT-UPSIZE
* STATIC FUNCTION ___brisi()    // YES-UPSIZE
* STATIC FUNCTION brisisve()    // NOT-UPSIZE
* STATIC FUNCTION ___brisisve() // YES-UPSIZE
* STATIC FUNCTION xkolicina(oDlg,oBrowse5,GetList)
* STATIC FUNCTION xcena()
* STATIC FUNCTION iznos()







* [INSERT]
****************************************************************************  NOT-UPSIZE
FUNCTION additem(ccfile,getlist,oBrowse5) // za biblioteku test koda
// slui za test dodavanja stavke
// serves for the item addition test
****************************************************************************
LOCAL radno:=SELECT()

* SELECT "STO"
SELECT(radno)
PRIVATE ROBS, ROBN, DOBS, CENA_MPR, UUID, cSQL, oStmt, ccTable:=ccFile
ROBS := strzero(seconds(),5)
ROBN := " *** TEST ARTIKAL ***"
UUID := UuidToChar( UuidCreate() )
CENA_MPR := "50"
DOBS := "1"



* ---  M I X  V A R I J A N T A  K O J A  N E  R A D I
/*
* SELECT "STO"
SELECT(radno)
TEXT INTO cSQL WRAP
  INSERT INTO &ccTable ( ROBS_, ROBN_, UUID_, CENA_MPR_ ) VALUES ('&ROBS', '&ROBN', '&UUID', &CENA_MPR);
ENDTEXT
  oStmt := DacSqlStatement():fromChar(cSQL)
  oStmt:build():execute()

* SELECT "STO"
SELECT(radno)

* ---
// * KADA DCBROWSER ALIAS "STO" DOBIJEN SA NOT-UPSIZE
// *        cSQL    := "SELECT * FROM x1;"
// *        oStmt   := DacSqlStatement():fromChar(cSQL)
// *        cAlias  := oStmt:build():query(,"STO")
// *        STO:=cAlias        // this is mandatory  !
// *        SELECT "STO"       // this is mandatory  !
// *        DCBROWSE oBrowse ALIAS "STO"
// *        INSERT INTO x1
// * NE FUNKCIONIE KAO KADA JE ALIAS "STO" DOBIJEN SA YES-UPSIZE
// *        USE x1 NEW EXCLUSIVE ALIAS "STO"
// *        DCBROWSE oBrowse ALIAS "STO"
// *        APPEND BLANK
// * Sada se Dodata stavka upisuje u tablu ali se ne upisuje u oBrowse
// *  koji je QUERY dobijen SQL komandom "SELECT * FROM x1;"
// *  Mora se ponovo iz table x1 uitati QUERY odnosno oBrowse5 objekat !!!
// *  jer ovakav NOT-UPSIZE DCBROWSE nije potpuno sinhronizovan sa tablom
// ---
// * WHEN DCBROWSER ALIAS "STO" OBTAINED WITH NOT-UPSIZE
// *       cSQL := "SELECT * FROM x1;"
// *       oStmt := DacSqlStatement():fromChar(cSQL)
// *       cAlias := oStmt:build():query(,"STO")
// *       STO:=cAlias // this is mandatory !
// *       SELECT "STO" // this is mandatory !
// *       DCBROWSE oBrowse ALIAS "STO"
// *       INSERT INTO x1
// * DOES NOT WORK AS WHEN ALIAS "STO" IS OBTAINED WITH YES-UPSIZE
// *       USE x1 NEW EXCLUSIVE ALIAS "STO"
// *       DCBROWSE oBrowse ALIAS "STO"
// *       APPEND BLANK
// * Now the Added item is written to the table but not to oBrowse
// * which is the QUERY obtained by the SQL command "SELECT * FROM x1;"
// * The QUERY or oBrowse5 object must be loaded again from table x1 !!!
// * because this NOT-UPSIZE DCBROWSE is not fully synchronized with the table
// ---
* SELECT "STO"
SELECT(radno)
  DBREFRESH()
* oBrowse5:configure()    // nepotrebno
  oBrowse5:forcestable()
* oBrowse5:RefreshAll()   // nepotrebno
* dc_getrefresh(getlist)  // nepotrebno
  PostAppEvent(xbeP_Keyboard,xbeK_CTRL_PGDN,,oBrowse5)
// PostAppEvent:
// prikaz cele liste i skok na zadnju stavku u listi
// view entire list and jump to last item in the list
*/
* ---  M I X  V A R I J A N T A  K O J A  N E  R A D I


* ---  V A R I J A N T A  K O J A  R A D I
*
* SELECT "STO"
  SELECT(radno)
TEXT INTO cSQL WRAP
  INSERT INTO &ccTable
  ( ROBS_, ROBN_, UUID_, CENA_MPR_ )
  VALUES
  ('&ROBS', '&ROBN', '&UUID', &CENA_MPR);
ENDTEXT
// dc_memoedit(cSQL)
  oStmt := DacSqlStatement():fromChar(cSQL)
  oStmt:build():execute()
* SELECT "STO"
  SELECT(radno)

* --- ponovno uitavanje browser-a ------------------ start
* --- reloading the browser
*
* SELECT "STO";USE
  SELECT(radno);USE
cSQL    := "SELECT * FROM "+ccTable+" ORDER BY __record;"
oStmt   := DacSqlStatement():fromChar(cSQL)
cAlias  := oStmt:build():query(,"STO")
STO:=cAlias        // this is mandatory  !
* SELECT "STO"
  SELECT(radno)
PostAppEvent(xbeP_Keyboard,xbeK_CTRL_PGDN,,oBrowse5)
// prikaz cele liste i skok na zadnju stavku u listi
// view entire list and jump to last item in the list
*
* --- reloading the browser
* --- ponovno uitavanje browser-a ------------------ end
*
* ---  V A R I J A N T A  K O J A  R A D I


RETURN NIL


****************************************************************************  NOT-UPSIZE
STATIC FUNCTION brisi(ccfile,oBrowse5)
****************************************************************************
LOCAL radno:=SELECT()
LOCAL cRec :=RECNO()
LOCAL UUID := UUID_

SELECT(radno)
* --- tehnika: prvi-sused
* --- technique: first adjacent item
* --- UUID tehnika: uvek-stani-na-susednu-stavku (posle brisanje stavke iz browsera)
* --- UUID technique: always-stop-at-the-adjacent-item (after deleting item from browser)
 SKIP 1
 IF EOF() .OR. EMPTY(ROBS_)
     SKIP -1
     SKIP -1
     cRec:=UUID_
     SKIP 1
 ELSE
     cRec:=UUID_
     SKIP -1
 ENDIF
* --- technique: first adjacent item

/*
IF c__neda("Obrii iz rauna stavku" +chr(59)+;
           "Delete item from Account"  +chr(59)+;
           ROBS_+" "+ROBN_,"Delete item from Account",13,"G1","R")=.F.
           CLEAR TYPEAHEAD
           RETURN NIL
ENDIF
*/

* ---
  cSQL := "DELETE FROM ONLY "+ccfile+" WHERE UUID_ = '"+UUID+"';"
  oStmt := DacSqlStatement():fromChar(cSQL)
  oStmt:build():execute()
* ---
  cSQL := "VACUUM FULL "+ccfile+";"
  oStmt := DacSqlStatement():fromChar(cSQL)
  oStmt:build():execute()
* ---
* --- reloading the browser
*
* SELECT "STO";USE
  SELECT(radno);USE
cSQL    := "SELECT * FROM "+ccfile+" ORDER BY __record;"
oStmt   := DacSqlStatement():fromChar(cSQL)
cAlias  := oStmt:build():query(,"STO")
STO:=cAlias        // this is mandatory  !
* SELECT "STO"
  SELECT(radno)
*
* --- reloading the browser



SELECT(radno)

* --- technique: first adjacent item
 DBREFRESH()
 oBrowse5:refreshall() // oBrowse5:forcestable()
 GO TOP
 LOCATE FOR UUID_=cRec
 IF FOUND()==.F.
    GO TOP
 ENDIF
* --- technique: first adjacent item


RETURN NIL


/*
****************************************************************************  YES-UPSIZE
STATIC FUNCTION ___brisi(ccfile,oBrowse5)
****************************************************************************
LOCAL radno:=SELECT()
LOCAL cRec

SELECT(radno)
* --- tehnika: prvi-sused, potrebno za tehniku:
* --- UUID tehnika: uvek-stani-na-sledeu (brisanje stavke iz browsera)
 SKIP 1
 IF EOF()
     SKIP -1
     SKIP -1
     cRec:=UUID_
     SKIP 1
 ELSE
     cRec:=UUID_
     SKIP -1
 ENDIF
// ISAM nee da uita __record
* --- tehnika: prvi-sused

IF c__neda("Obrii iz rauna stavku" +chr(59)+;
           "Delete item from Account"  +chr(59)+;
           ROBS_+" "+ROBN_,"Delete item from Account",13,"G1","R")=.F.
           CLEAR TYPEAHEAD
           RETURN NIL
ENDIF

******************************************** RADI
*
* na startu ovog programa postavljeno je
* SET DELETED ON da bi se obrisane stavke u
* uklonile iz browsera. A iz postgresql tabele se mogu
* DELETED stavke ukloniti samo sa komandom
* DELETE FROM ONLY naziv_table WHERE __deleted = TRUE
* jer PACK komanda ne radi.
* Sve stavke iz table mogu se ukloniti sa ZAP
* iz funkcije: brisisve(oBrowse5)
*
* at the start of this program is set
* SET DELETED ON to delete items in
* removed from the browser. And from the postgresql table they can
* DELETED items can only be removed with the command
* DELETE FROM ONLY table_name WHERE __deleted = TRUE
* because the PACK command does not work.
* All items from the board can be removed with ZAP
* from function: deleteAll(oBrowse5)
*

SELECT "STO"
DELETE
COMMIT

* Ovo radi dobro ali deleted stavke ostaju u
* tabli i imaju polje __deleted = TRUE pa se
* jednog momenta moraju ukloniti iz table
* metodom koja je data u nastavku i koja e
* zameniti komandu PACK: metoda 'cobapack'
*
* Ali ja u ih ovde ukloniti odmah putem te
* metode poto je tabla jako mala i stalno
* se iznova prazni i puni (temporary tabla)
*
*
* This works fine but the deleted items remain in the
* tables and have the field __deleted = TRUE so that
* must be removed from the board at some point
* by the method given below and which will
* replace PACK command: method 'cobapack'
*
* But I'll remove them here right away
* methods since the board is very small and constant
* is emptied and filled again (temporary board)
*
******************************************** RADI


*********************************************************************** START
*" Jako Vano - ne brisati - metoda 'cobapack':
*" ovo je varijanta koja funkcionie ali posle koje se mora izvriti
*" promena rednih brojeva u upsize polju: __record -> Public Key
*" a putem tehnike koja je prikazana u funkciji:
*" FUNCTION sequence_and_append_blank_delete()
*" sequence_and_append_blank_delete.prg
*" kako bi posle toga radila komanda APPEND BLANK za dodavanje novog
*" reda u tablu bez konflikta sa istim brojem u upsize polju __record

*" Very Important - do not delete - method 'cobapack':
*" this is a variant that works, but after which it must be executed
*" change of serial numbers in the upsize field: __record -> Public Key
*" and through the technique shown in the function:
*" FUNCTION sequence_and_append_blank_delete()
*" sequence_and_append_blank_delete.prg
*" so that the APPEND BLANK command would work afterwards to add a new one
*" row in the table without conflict with the same number in the upsize field __record




//-------------------- PGDBE SQL

* c1 := "'" + cDel + "'"
* cSQL := "DELETE FROM ONLY "+ccfile+" WHERE UUID_="+c1+";"    // brii red
* primer: cSQL := "DELETE FROM STO WHERE UUID_='99999';"       // brii red


  cSQL := "DELETE FROM ONLY "+ccfile+" WHERE __deleted = TRUE;"
  oStmt := DacSqlStatement():fromChar(cSQL)
  oStmt:build():execute()
// rekonstrukcija formirane prazne i/ili napunjene table:
        cSQL := "VACUUM FULL "+ccfile+";"
        oStmt := DacSqlStatement():fromChar(cSQL)
        oStmt:build():execute()


// Napravi se lista brojeva upisanih u __record za svaki red table
// Create a list of numbers written in __record for each row of the table
* ---
cSQL := "SELECT __record FROM "+ccfile+";"
oStmt := DacSqlStatement():fromChar(cSQL)
oStmt:build():query(, @xResult)
SELECT QUERY
aRow:={}
DO WHILE .NOT. EOF()
  AADD(aRow,__record)
  * primer {1,3,6,7,11} // jer su obrisani: __record 2,4,5,8,9,10
  * example {1,3,6,7,11} // because they were deleted: __record 2,4,5,8,9,10
SKIP
ENDDO
CLOSE QUERY
SELECT "STO"
* ---
// Promeni brojeve u polju __record da nemaju "rupe" od obrisanih stavki
// da bi mogla da se doda nova stavka sa append blank
// Change the numbers in the __record field so they don't have "holes" from deleted items
// to be able to add a new item with append blank
* ---
cSQL:=""; ni:=0
FOR ni=1 TO len(aRow)

  PRIVATE new_br__record := var2char(ni)
  PRIVATE alt_br__record := var2char(aRow[ni])
  PRIVATE cFile:=ccFile

TEXT INTO txt WRAP
UPDATE &cfile SET __record = &new_br__record WHERE __record = &alt_br__record;
ENDTEXT
cSQL:=cSQL+txt
NEXT ni

oStmt := DacSqlStatement():fromChar(cSQL)
oStmt:build():execute()
// posle ovoga mora da se izvri SELECT "STO"
// after this SELECT "STO" must be performed
SELECT "STO"
* ---

*  --- UUID tehnika:
SELECT "STO"
 GO TOP
 LOCATE FOR alltrim(UUID_)=alltrim(cRec)
 IF FOUND()==.F.
    GO TOP
 ENDIF
*  --- UUID tehnika:
*********************************************************************** END

RETURN NIL
*/


/*
****************************************************************************  YES-UPSIZE
STATIC FUNCTION ___brisisve(ccFile,oBrowse5)
****************************************************************************
IF c__neda("Isprazni raun;Empty account"+chr(59)+;
           " ","Empty account",13,"G1","R")=.F.
           CLEAR TYPEAHEAD
           RETURN NIL
ENDIF
SELECT "STO"
*****
 ZAP // ISAM PGDBE RADI ISAM PGDBE WORKS
*****
COMMIT
CLEAR TYPEAHEAD
RETURN NIL
*/

****************************************************************************  NO-UPSIZE
STATIC FUNCTION brisisve(ccFile,oBrowse5)
****************************************************************************
IF c__neda("Isprazni raun;Empty account"+chr(59)+;
           " ","Empty account",13,"G1","R")=.F.
           CLEAR TYPEAHEAD
           RETURN NIL
ENDIF
SELECT "STO"
* ---
  cSQL := "DELETE FROM ONLY "+ccfile+";"
  oStmt := DacSqlStatement():fromChar(cSQL)
  oStmt:build():execute()
* ---
  cSQL := "VACUUM FULL "+ccfile+";"
  oStmt := DacSqlStatement():fromChar(cSQL)
  oStmt:build():execute()
* ---
* --- reloading the browser
*
SELECT "STO";USE
cSQL    := "SELECT * FROM "+ccfile+" ORDER BY __record;"
oStmt   := DacSqlStatement():fromChar(cSQL)
cAlias  := oStmt:build():query(,"STO")
STO:=cAlias        // this is mandatory  !
SELECT "STO"
*
* --- reloading the browser

CLEAR TYPEAHEAD
RETURN NIL



















*************************************************************************

* Kod DCPUSHBUTTONXP je bilo_
*
*   INI_WRITE("C","GRUPE","1" ,"TOPLI;NAPITCI"   ,inifil)
*   qq1  :=INI_READ("C","GRUPE","1"  ,inifil)
*   qq1 = "TOPLI;NAPITCI"
*
*   coba := "coba" // ostavljeno za rezervne podatke
*
*   ACTION {|a,b,o| ;
*           selectcolorbutton(o,getlist) ,;
*           grupa_1(o,GetList)};
*   CARGO {qq1,1,coba} TOOLTIP " grupa 1 ";
*
*   ACTION {|a,b,o| ;
*           selectcolorbutton(o,getlist) ,;
*           grupa_2(o,GetList)};
*   CARGO {qq2,2,coba} TOOLTIP " grupa 2 ";
*
* Kod DCMENU je:
*   ACTION {|a,b,o| grupa_1(o,GetList)} CARGO {"",1,coba}


***************************************************************************
STATIC FUNCTION grupa_(num,nam,o,GetList)
***************************************************************************

 **********************************
 __sifarnik_artikala_GRUPE(num,nam)  // __sifarnik_artikala_GRUPE.PRG
 **********************************

// --- tehnika: uvek-vidi-ceo-browser-spisak
 SELECT "STO"
 GO TOP                                               // na vrh spiska da se vidi ceo spisak
 PostAppEvent(xbeP_Keyboard,xbeK_CTRL_PGDN,,oBrowse5) // na kraj spiska a da se vidi ceo spisak
// --- tehnika: uvek-vidi-ceo-browser-spisak

// PostAppEvent(xbeP_Keyboard,xbeK_TAB,,oBrowse5)       // dijalog za koliinu

RETURN NIL


